{if $inactive}
    {include file="$template/includes/pageheader.tpl" title=$LANG.affiliatestitle icon=diamond}
    <div class="alert alert-warning">
        <p>{$LANG.affiliatesdisabled}</p>
    </div>
{else}
    {include file="$template/includes/pageheader.tpl" title=$LANG.affiliatestitle desc=$LANG.affiliatesrealtime icon=diamond}
    <div class="grid grid-cols-12 gap-6 mt-5 mb-3 sm:ml-5 main-grid">
        <div class="col-span-12 sm:col-span-6 2xl:col-span-3">
            <div class="flex items-center mb-4 bg-accent-1">
                <div class="w-1/3 bg-gray-990 light:bg-gray-10">
                    <div class="p-6 text-center">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-8 h-8" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                            <path d="M17 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path>
                            <circle cx="9" cy="7" r="4"></circle>
                            <path d="M23 21v-2a4 4 0 0 0-3-3.87"></path>
                            <path d="M16 3.13a4 4 0 0 1 0 7.75"></path>
                        </svg>
                    </div>
                </div>
                <div class="items-center w-2/3 px-4 py-3">
                    <div class="flex pb-1">
                        <span class="text-gray-990">{$visitors}</span>
                    </div>
                    <div class="flex truncate">
                        {$LANG.affiliatesclicks}
                    </div>
                </div>
            </div>
        </div>
    
        <div class="col-span-12 sm:col-span-6 2xl:col-span-3">
            <div class="flex items-center mb-4 bg-accent-1">
                <div class="w-1/3 bg-gray-990 light:bg-gray-10">
                    <div class="p-6 text-center">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-8 h-8" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                            <path d="M16 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path>
                            <circle cx="8.5" cy="7" r="4"></circle>
                            <line x1="20" y1="8" x2="20" y2="14"></line>
                            <line x1="23" y1="11" x2="17" y2="11"></line>
                        </svg>
                    </div>
                </div>
                <div class="items-center w-2/3 px-4 py-3">
                    <div class="flex pb-1">
                        <span class="text-gray-990">{$signups}</span>
                    </div>
                    <div class="flex truncate">
                        {$LANG.affiliatessignups}
                    </div>
                </div>
            </div>
        </div>
    
        <div class="col-span-12 sm:col-span-6 2xl:col-span-3">
            <div class="flex items-center mb-4 bg-accent-1">
                <div class="w-1/3 bg-gray-990 light:bg-gray-10">
                    <div class="p-6 text-center">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-8 h-8" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                            <path d="M16 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path>
                            <circle cx="8.5" cy="7" r="4"></circle>
                            <polyline points="17 11 19 13 23 9"></polyline>
                        </svg>
                    </div>
                </div>
                <div class="items-center w-2/3 px-4 py-3">
                    <div class="flex pb-1">
                        <span class="text-gray-990">{$conversionrate}%</span>
                    </div>
                    <div class="flex truncate">
                        {$LANG.affiliatesconversionrate}
                    </div>
                </div>
            </div>
        </div>
        <div class="col-span-12 sm:col-span-6 2xl:col-span-3">
            <div class="flex items-center mb-4 bg-accent-1">
                <div class="w-1/3 bg-gray-990 light:bg-gray-10">
                    <div class="p-6 text-center">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-8 h-8" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                            <rect x="1" y="4" width="22" height="16" rx="2" ry="2"></rect>
                            <line x1="1" y1="10" x2="23" y2="10"></line>
                        </svg>
                    </div>
                </div>
                <div class="items-center w-2/3 px-4 py-3">
                    <div class="flex pb-1">
                        <span class="text-gray-990">{$affiliatePayoutMinimum}</span>
                    </div>
                    <div class="flex truncate">
                        {$LANG.affiliatesminimum}
                    </div>
                </div>
            </div>
        </div>
    </div>    
    <div class="sm:ml-5">
        {include file="$template/includes/subheader.tpl" title=$LANG.affiliatesreferallink}
    </div>
        <div class="form-group">
            <input type="text" value="{$referrallink}" class="form-control" />
        </div>
    <div class="grid grid-cols-12 gap-6 mt-10 mb-5 sm:ml-5">
        <div class="col-span-12 sm:col-span-6 2xl:col-span-4">
            <div class="flex items-center px-5 py-3 mb-3 bg-gray-990 light:bg-gray-10">
                <div class="ml-4 mr-auto">{$LANG.affiliatescommissionspending}</div>
                <div class="font-medium">{$pendingcommissions}</div>
            </div>
        </div>
        <div class="col-span-12 sm:col-span-6 2xl:col-span-4">
            <div class="flex items-center px-5 py-3 mb-3 bg-gray-990 light:bg-gray-10">
                <div class="ml-4 mr-auto">{$LANG.affiliatescommissionsavailable}</div>
                <div class="font-medium">{$balance}</div>
            </div>
        </div>
        <div class="col-span-12 sm:col-span-6 2xl:col-span-4">
            <div class="flex items-center px-5 py-3 mb-3 bg-gray-990 light:bg-gray-10">
                <div class="ml-4 mr-auto">{$LANG.affiliateswithdrawn}</div>
                <div class="font-medium">{$withdrawn}</div>
            </div>
        </div>
    </div>
    {if $withdrawrequestsent}
        <div class="alert alert-success">
            <p>{$LANG.affiliateswithdrawalrequestsuccessful}</p>
        </div>
    {else}
        {if $withdrawlevel}
            <div class="flex">
                <div class="ml-auto">
                    <input type="button" class="btn btn-default btn-sm" value="{$LANG.affiliatesrequestwithdrawal}" onclick="window.location='{$smarty.server.PHP_SELF}?action=withdrawrequest'" />
                </div>
            </div>
        {/if}
    {/if}    
    <div class="sm:ml-5">
        {include file="$template/includes/subheader.tpl" title=$LANG.affiliatesreferals}
    </div>
    {include file="$template/includes/tablelist.tpl" tableName="AffiliatesList"}
    <script type="text/javascript">
        jQuery(document).ready(function() {
            var table = jQuery('#tableAffiliatesList').removeClass('hidden').DataTable();
            {if $orderby == 'regdate'}
                table.order(0, '{$sort}');
            {elseif $orderby == 'product'}
                table.order(1, '{$sort}');
            {elseif $orderby == 'amount'}
                table.order(2, '{$sort}');
            {elseif $orderby == 'status'}
                table.order(4, '{$sort}');
            {/if}
            table.draw();
            jQuery('#tableLoading').addClass('hidden');
        });
    </script>
    <table class="table table-striped table-framed" id="tableAffiliatesList">
        <thead>
            <tr>
                <th class="hidden-sm hidden-xs">{$LANG.affiliatessignupdate}</th>
                <th>{$LANG.orderproduct}</th>
                <th class="hidden-sm hidden-xs">{$LANG.affiliatesamount}</th>
                <th class="hidden-xs">{$LANG.affiliatescommission}</th>
                <th>{$LANG.affiliatesstatus}</th>
            </tr>
        </thead>
        {foreach from=$referrals item=referral}
            <tr>
                <td class="hidden-sm hidden-xs" data-order="{$referral.datets}">{$referral.date}</td>
                <td>{$referral.service}
                    <ul class="cell-inner-list visible-sm visible-xs small">
                        <li><span class="item-title">{$LANG.affiliatessignupdate}: </span>{$referral.date}</li>
                        <li><span class="item-title">{$LANG.affiliatesamount}: </span>{$referral.amountdesc}</li>
                        <li class="hidden-sm"><span class="item-title">{$LANG.affiliatescommission}: </span>{$referral.commission}</li>
                    </ul>
                </td>
                <td data-order="{$referral.amountnum}" class="hidden-sm hidden-xs">{$referral.amountdesc}</td>
                <td data-order="{$referral.commissionnum}" class="hidden-xs">{$referral.commission}</td>
                <td><span class='label status status-{$referral.rawstatus|strtolower}'>{$referral.status}</span></td>
            </tr>
        {/foreach}
    </table>
    <div class="text-center" id="tableLoading">
        <p><i class="fas fa-spinner fa-spin"></i> {$LANG.loading}</p>
    </div>
    {if $affiliatelinkscode}
        {include file="$template/includes/subheader.tpl" title=$LANG.affiliateslinktous}
        <div class="mb-3">
            {$affiliatelinkscode}
        </div>
    {/if}
{/if}