// Default catch for all other popovers
jQuery('[data-toggle="popover"]').popover({
  html: true
});

// Enable tooltips
// Attach function to body so tooltips inserted by ajax will load
jQuery(function (jQuery) {
  jQuery('body').tooltip({
    selector: '[data-toggle="tooltip"]'
  });
});

// Logic to dismiss popovers on click outside
jQuery('body').on('click', function (e) {
  jQuery('[data-toggle="popover"]').each(function () {
    if (!jQuery(this).is(e.target) && jQuery(this).has(e.target).length === 0 && jQuery('.popover').has(e.target).length === 0) {
      jQuery(this).popover('hide');
    }
  });
});

(function (j) {
  j.fn.extend({
    accordion: function () {
      return this.each(function () {
        function b(c, b) {
          jQuery(c).parent(d).siblings().removeClass(e).children(f).slideUp(g);
          jQuery(c).siblings(f)[b || h](b == "show" ? g : !1, function () {
            jQuery(c).siblings(f).is(":visible") ? jQuery(c).parents(d).not(a.parents()).addClass(e) : jQuery(c).parent(d).removeClass(e);
            b == "show" && jQuery(c).parents(d).not(a.parents()).addClass(e);
            jQuery(c).parents().show()
          })
        }
        var a = jQuery(this), e = "active", h = "slideToggle", f = "ul, div", g = "fast", d = "li";
        if (a.data("accordiated"))
          return !1;
        jQuery.each(a.find("ul, li>div"),
          function () {
            jQuery(this).data("accordiated", !0);
            jQuery(this).hide()
          });
        jQuery.each(a.find("a"), function () {
          jQuery(this).click(function () {
            b(this, h)
          });
          jQuery(this).bind("activate-node", function () {
            a.find(f).not(jQuery(this).parents()).not(jQuery(this).siblings()).slideUp(g);
            b(this, "slideDown")
          })
        });
        var i = location.hash ? a.find("a[href='" + location.hash + "']")[0] : a.find("li.current a")[0];
        i && b(i, !1)
      })
    }
  })
})(jQuery);

// Sidebar
// ===============================
jQuery('ul.nav-list').accordion();
jQuery('.site-holder.container .nav > li > ul > li.active').parent().css('display', 'block');
jQuery('.site-holder.container.mini-sidebar .nav > li > ul > li.active').parent().css('display', 'none');
jQuery('.btn-nav-toggle-responsive').click(function () {
  jQuery('.left-sidebar').toggleClass('show-fullsidebar');
});
jQuery('li.nav-toggle > button').click(function (e) {
  //Set cookie
  if (jQuery.cookie('minibar') == null || jQuery.cookie('minibar') == 0) {
    jQuery.cookie('minibar', 1);
    jQuery('li.submenu').removeClass('active');
    jQuery('li.submenu > ul').hide();
    jQuery('.fa.arrow.rotate').removeClass('down');
  }
  else {
    jQuery.cookie('minibar', 0);
  }
  e.preventDefault();
  changeSidebarState();
});
//Load sidebar state
jQuery(function () {
  if (jQuery.cookie('minibar') == 1) {
    changeSidebarStateNoAnimate();
  }
});
function changeSidebarState() {
  jQuery('.hidden-minibar').toggleClass("hide");
  jQuery('.site-holder').toggleClass("mini-sidebar");

  if (jQuery('.toggle-right').hasClass('fa-angle-double-right')) { jQuery('.toggle-right').removeClass('fa-angle-double-right').addClass('fa-angle-double-left'); }
  else { jQuery('.toggle-right').removeClass('fa-angle-double-left').addClass('fa-angle-double-right'); }

  if (jQuery('.toggle-left').hasClass('fa-angle-double-left')) { jQuery('.toggle-left').removeClass('fa-angle-double-left').addClass('fa-angle-double-right'); }
  else { jQuery('.toggle-left').removeClass('fa-angle-double-right').addClass('fa-angle-double-left'); }

  if (jQuery('.site-holder').hasClass('mini-sidebar')) {
    jQuery('.sidebar-holder').tooltip({
      selector: "a",
      container: "body",
      placement: "right"
    });
    jQuery('li.submenu ul').tooltip('destroy');
  }
  else {
    jQuery('.sidebar-holder').tooltip('destroy');
  }
}
function changeSidebarStateNoAnimate() {
  jQuery('.toggle-left').removeClass('fa-angle-double-left').addClass('fa-angle-double-right');
  jQuery('.toggle-right').removeClass('fa-angle-double-right').addClass('fa-angle-double-left');
  if (jQuery('.site-holder').hasClass('mini-sidebar')) {
    jQuery('.sidebar-holder').tooltip({
      selector: "a",
      container: "body",
      placement: "right"
    });
    jQuery('li.submenu ul').tooltip('destroy');
  }
  else {
    jQuery('.sidebar-holder').tooltip('destroy');
  }
}
//
if (jQuery('.site-holder').hasClass('mini-sidebar')) {
  jQuery('.sidebar-holder').tooltip({
    selector: "a",
    container: "body",
    placement: "right"
  });
  jQuery('li.submenu').tooltip('destroy');
}
else {
  jQuery('.sidebar-holder').tooltip('destroy');
}
jQuery('.show-info').click(function () {
  jQuery(this).toggleClass("down");
  jQuery('.page-information').toggleClass('hidden');
});

jQuery('.show-task-info').click(function () {
  jQuery(this).toggleClass("down");
  jQuery(this).parents('.todo-task').find('.task-info').toggleClass('hidden');
});

jQuery('.site-holder.mini-sidebar .content').click(function () {
  jQuery('.site-holder.mini-sidebar li.submenu ul').hide();
  jQuery('.site-holder.mini-sidebar li.submenu').removeClass('active');

});

// Rotate icon
// ===============================
jQuery(".sidebar-holder .nav a.dropdown").click(function () {
  jQuery('.rotate', this).toggleClass("down");
})


// Language Dropdown
// ===============================


jQuery('.settings-toggle').click(function (e) {
  e.preventDefault();
  jQuery('.right-sidebar').toggleClass('right-sidebar-hidden');
});
jQuery('.theme-panel-close').click(function () {
  jQuery('.right-sidebar').toggleClass('right-sidebar-hidden');
});

jQuery(function () {
  jQuery('.right-sidebar-holder').perfectScrollbar();
});

// Scrollbar
// ===============================
jQuery(function () {
  jQuery('.ps-messages').perfectScrollbar();
});

jQuery(function () {
  jQuery('.ps-languages').perfectScrollbar();
});

jQuery(function () {
  jQuery('.server-list').perfectScrollbar();
});


jQuery(function () {
  jQuery('.g-recaptcha').attr('data-theme', 'dark');
});

// Support Tickets
// ===============================
function extraTicketAttachment() {
  jQuery("#fileuploads").append('<div class="form-group"><div class="input-group"><span class="input-group-btn"><span class="btn btn-default btn-sm btn-file"><i class="fal fa-folder-open"></i> <input type="file" name="attachments[]" multiple=""></span></span><input type="text" class="form-control input-sm" readonly=""></div></div>');
  jQuery(document).ready(function () {
    jQuery('.btn-file :file').on('fileselect', function (event, numFiles, label) {

      var input = jQuery(this).parents('.input-group').find(':text'),
        log = numFiles > 1 ? numFiles + ' files selected' : label;

      if (input.length) {
        input.val(log);
      } else {
        if (log) alert(log);
      }

    });
  });
}