{include file="$template/includes/pageheader.tpl" title=$LANG.domaindnsmanagement desc=$LANG.domaindnsmanagementdesc}
<div class="alert alert-info">
    <h4>{$LANG.domainname}: {$domain}</h4>
    <form method="post" action="{$smarty.server.PHP_SELF}?action=domaindetails">
        <input type="hidden" name="id" value="{$domainid}" />
        <input type="submit" value="{$LANG.clientareabacklink}" class="btn btn-default" />
    </form>
</div>
{if $error}
    <div class="alert alert-danger">
        {$error}
    </div>
{/if}
{if $external}
    <p>{$code}</p>
{else}
    <form class="form-horizontal" method="post" action="{$smarty.server.PHP_SELF}?action=domaindns">
        <input type="hidden" name="sub" value="save" />
        <input type="hidden" name="domainid" value="{$domainid}" />
        <div class="row">
            <div class="col-md-12">
                {include file="$template/includes/tablelist.tpl" tableName="DomainsList" startOrderCol="1" filterColumn="0"}
                <table class="table table-condensed" id="tableDomainsList">
                    <thead>
                        <tr>
                            <th class="textcenter">{$LANG.domaindnshostname}</th>
                            <th class="textcenter">{$LANG.domaindnsrecordtype}</th>
                            <th class="textcenter">{$LANG.domaindnsaddress}</th>
                            <th class="textcenter">{$LANG.domaindnspriority} *</th>
                        </tr>
                    </thead>
                    <tbody>
                        {foreach from=$dnsrecords item=dnsrecord}
                            <tr>
                                <td><input type="hidden" name="dnsrecid[]" value="{$dnsrecord.recid}" /><input type="text" name="dnsrecordhost[]" value="{$dnsrecord.hostname}" class="form-control input-sm" /></td>
                                <td><select class="form-control input-sm" name="dnsrecordtype[]">
                                        <option value="A" {if $dnsrecord.type eq "A" } selected="selected" {/if}>{lang key="domainDns.a"}</option>
                                        <option value="AAAA" {if $dnsrecord.type eq "AAAA" } selected="selected" {/if}>{lang key="domainDns.aaaa"}</option>
                                        <option value="MXE" {if $dnsrecord.type eq "MXE" } selected="selected" {/if}>{lang key="domainDns.mxe"}</option>
                                        <option value="MX" {if $dnsrecord.type eq "MX" } selected="selected" {/if}>{lang key="domainDns.mx"}</option>
                                        <option value="CNAME" {if $dnsrecord.type eq "CNAME" } selected="selected" {/if}>{lang key="domainDns.cname"}</option>
                                        <option value="TXT" {if $dnsrecord.type eq "TXT" } selected="selected" {/if}>{lang key="domainDns.txt"}</option>
                                        <option value="URL" {if $dnsrecord.type eq "URL" } selected="selected" {/if}>{lang key="domainDns.url"}</option>
                                        <option value="FRAME" {if $dnsrecord.type eq "FRAME" } selected="selected" {/if}>{lang key="domainDns.frame"}</option>
                                    </select></td>
                                <td><input type="text" name="dnsrecordaddress[]" value="{$dnsrecord.address}" class="form-control input-sm" /></td>
                                <td>{if $dnsrecord.type eq "MX"}<input type="text" name="dnsrecordpriority[]" value="{$dnsrecord.priority}" class="form-control input-sm" />{else}<input type="hidden" name="dnsrecordpriority[]" value="N/A" />{$LANG.domainregnotavailable}{/if}</td>
                            </tr>
                        {/foreach}
                        <tr>
                            <td><input type="text" name="dnsrecordhost[]" class="form-control input-sm" /></td>
                            <td><select name="dnsrecordtype[]" class="form-control input-sm">
                                    <option value="A">{lang key="domainDns.a"}</option>
                                    <option value="AAAA">{lang key="domainDns.aaaa"}</option>
                                    <option value="MXE">{lang key="domainDns.mxe"}</option>
                                    <option value="MX">{lang key="domainDns.mx"}</option>
                                    <option value="CNAME">{lang key="domainDns.cname"}</option>
                                    <option value="TXT">{lang key="domainDns.txt"}</option>
                                    <option value="URL">{lang key="domainDns.url"}</option>
                                    <option value="FRAME">{lang key="domainDns.frame"}</option>
                                </select></td>
                            <td><input type="text" name="dnsrecordaddress[]" class="form-control input-sm" /></td>
                            <td><input type="text" name="dnsrecordpriority[]" class="form-control input-sm" /></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <p class="px-5"><small>*{$LANG.domaindnsmxonly}</small></p>
        <div class="p-5">
            <input type="submit" value="{$LANG.clientareasavechanges}" class="btn btn-primary" />
        </div>
    </form>
{/if}