{include file="$template/includes/pageheader.tpl" title=$LANG.clientareanavsecurity icon=lock}
{include file="$template/clientareadetailslinks.tpl"}
{if $linkableProviders }
    <div>
        <h4>
            {lang key='remoteAuthn.titleLinkedAccounts'}
        </h4>
        {include file="$template/includes/linkedaccounts.tpl" linkContext="clientsecurity" }
        {include file="$template/includes/linkedaccounts.tpl" linkContext="linktable" }
    </div>
{/if}
{if $showSsoSetting}
    <h4>{$LANG.sso.title}</h4>
    {include file="$template/includes/alert.tpl" type="success" msg=$LANG.sso.summary}
    <form id="frmSingleSignOn" class="p-5">
        <input type="hidden" name="token" value="{$token}" />
        <input type="hidden" name="action" value="security" />
        <input type="hidden" name="toggle_sso" value="1" />
        <div class="margin-10">
            <input type="checkbox" name="allow_sso" class="toggle-switch-success" id="inputAllowSso" {if $isSsoEnabled} checked{/if}>
            &nbsp;
            <span id="ssoStatusTextEnabled" {if !$isSsoEnabled} class="hidden" {/if}>
                {$LANG.sso.enabled}
            </span>
            <span id="ssoStatusTextDisabled" {if $isSsoEnabled} class="hidden" {/if}>
                {$LANG.sso.disabled}
            </span>
        </div>
    </form>
    <p class="px-5">{$LANG.sso.disablenotice}</p>
{/if}