{include file="$template/includes/pageheader.tpl" title=$LANG.doToday icon=calendar}
<div class="grid grid-cols-12 gap-6 mt-5 mb-3 sm:ml-5 main-grid">
    {if $registerdomainenabled || $transferdomainenabled}
        <div class="col-span-12 sm:col-span-6 xl:col-span-4">
            <div class="flex items-center mb-4 info-box">
                <a class="w-1/3 bg-gray-990 light:bg-accent-1 light:text-white" href="{$WEB_ROOT}/domainchecker.php">
                    <div class="p-6 text-center">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-10 h-10" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                            <circle cx="12" cy="12" r="10"></circle>
                            <line x1="2" y1="12" x2="22" y2="12"></line>
                            <path d="M12 2a15.3 15.3 0 0 1 4 10 15.3 15.3 0 0 1-4 10 15.3 15.3 0 0 1-4-10 15.3 15.3 0 0 1 4-10z"></path>
                        </svg>
                    </div>
                </a>
                <div class="items-center w-2/3 px-4 py-3">
                    <div class="flex pb-1">
                        <span>{$LANG.buyadomain}</span>
                    </div>
                    <div class="flex pt-3">
                        <a href="{$WEB_ROOT}/domainchecker.php" class="text-gray-400">{$LANG.ordernowbutton}</a>
                    </div>
                </div>
            </div>
        </div>
    {/if}
    <div class="col-span-12 sm:col-span-6 xl:col-span-4">
        <div class="flex items-center mb-4 info-box">
            <a class="w-1/3 bg-gray-990 light:bg-accent-1 light:text-white" href="{$WEB_ROOT}/cart.php">
                <div class="p-6 text-center">
                    <svg xmlns="http://www.w3.org/2000/svg" class="w-10 h-10" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                        <rect x="2" y="2" width="20" height="8" rx="2" ry="2"></rect>
                        <rect x="2" y="14" width="20" height="8" rx="2" ry="2"></rect>
                        <line x1="6" y1="6" x2="6.01" y2="6"></line>
                        <line x1="6" y1="18" x2="6.01" y2="18"></line>
                    </svg>
                </div>
            </a>
            <div class="items-center w-2/3 px-4 py-3">
                <div class="flex pb-1">
                    <span>{$LANG.orderhosting}</span>
                </div>
                <div class="flex pt-3">
                    <a href="{$WEB_ROOT}/cart.php" class="text-gray-400">{$LANG.ordernowbutton}</a>
                </div>
            </div>
        </div>
    </div>
    <div class="col-span-12 sm:col-span-6 xl:col-span-4">
        <div class="flex items-center mb-4 info-box">
            <a class="w-1/3 info-box-support" href="{$WEB_ROOT}/submitticket.php">
                <div class="p-6 text-center">
                    <svg xmlns="http://www.w3.org/2000/svg" class="w-10 h-10" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                        <circle cx="12" cy="12" r="10"></circle>
                        <circle cx="12" cy="12" r="4"></circle>
                        <line x1="4.93" y1="4.93" x2="9.17" y2="9.17"></line>
                        <line x1="14.83" y1="14.83" x2="19.07" y2="19.07"></line>
                        <line x1="14.83" y1="9.17" x2="19.07" y2="4.93"></line>
                        <line x1="14.83" y1="9.17" x2="18.36" y2="5.64"></line>
                        <line x1="4.93" y1="19.07" x2="9.17" y2="14.83"></line>
                    </svg>
                </div>
            </a>
            <div class="items-center w-2/3 px-4 py-3">
                <div class="flex pb-1">
                    <span>{$LANG.getsupport}</span>
                </div>
                <div class="flex pt-3">
                    <a href="{$WEB_ROOT}/submitticket.php" class="text-gray-400">{$LANG.supportticketssubmitticket}</a>
                </div>
            </div>
        </div>
    </div>
</div>
{if $announcements}
    <div class="panel panel-default panel-news">
        <div class="panel-heading text-uppercase">{$LANG.ourlatestnews}
            <div class="pull-right flip">
            <a class="mr-2 text-gray-400 prev pull-left"><i class="fal fa-arrow-left"></i> </a> <a class="ml-2 text-gray-400 next"><i class="fal fa-arrow-right"></i></a> 
            </div>
        </div>
        <div class="panel-body">
            <div id="owl-news" class="pb-1 owl-carousel">
                <div class="px-5 item"><i class="fal fa-clock" aria-hidden="true"></i> <a class="pr-1 date" href="announcements.php?id={$announcements.0.id}">{$announcements.0.date}</a> {$announcements.0.text|strip_tags|truncate:500:'...'}</div>
                {if $announcements.1.text}
                    <div class="px-5 item"><i class="fal fa-clock" aria-hidden="true"></i><a class="pr-1 date" href="announcements.php?id={$announcements.1.id}">{$announcements.1.date}</a> {$announcements.1.text|strip_tags|truncate:500:'...'}</div>
                {/if}
                {if $announcements.2.text}
                    <div class="px-5 item"><i class="fal fa-clock" aria-hidden="true"></i><a class="pr-1 date" href="announcements.php?id={$announcements.2.id}">{$announcements.2.date}</a> {$announcements.2.text|strip_tags|truncate:500:'...'}</div>
                {/if}
            </div>
        </div>
    </div>
    {literal}<script>
            $(document).ready(function() {
                var owl = $("#owl-news");
                owl.owlCarousel({
                autoHeight : true, loop:true, items:1{/literal}
                {if $LANG.locale == 'ar_AR' || $LANG.locale == 'fa_IR' || $LANG.locale == 'he_IL'} ,rtl:true {/if}{literal}
            });
            $('.next').click(function() {
                owl.trigger('next.owl.carousel');
            })
            $('.prev').click(function() {
                owl.trigger('prev.owl.carousel', [300]);
            })
        });
</script>{/literal}
{/if}
    {if $ccexpiringsoon}
        <div class="col-span-12">
            <div class="alert alert-danger">
                <p><strong>{$LANG.ccexpiringsoon}:</strong> {$LANG.ccexpiringsoondesc|sprintf2:'
                    <a href="{$WEB_ROOT}/clientarea.php?action=creditcard" class="px-2 text-white hover:text-white underlined">':'</a>'}
                </p>
            </div>
        </div>
    {/if}
<section id="home-banner" class="mt-5">
    {if $registerdomainenabled}
        <h2 class="find-domain">{$LANG.findyourdomain|replace:'Find your new domain name':'Find your Domain'}</h2>
        <form method="post" action="domainchecker.php" id="frmDomainHomepage">
            <div class="flex items-center h-12 max-w-3xl min-h-full p-2 mx-auto rounded-sm shadow-sm bg-gray-990 light:bg-gray-10 input-group input-group-lg input-group-domain">
                <i class="mt-0 mb-0 ml-6 mr-4 input-group-icon text-gray-10 light:text-gray-500 fal fa-search"></i>
                <input type="text" class="p-0 text-gray-400 bg-transparent border-0 border-transparent shadow-none outline-none form-control placeholder:text-gray-700" name="domain" placeholder="{$LANG.exampledomain}" autocapitalize="none" />
                {if $registerdomainenabled}
                    <input type="submit" class="btn btn-primary w-32 text-sm bg-accent-3 border-accent-1 search {if in_array($captcha, ['invisible']) && $captcha->isEnabled() && $captcha->isEnabledForForm($captchaForm)}{$captcha->getButtonClass($captchaForm)}{/if}" value="{$LANG.search}" id="btnDomainSearch" />
                {/if}
            </div>
        </form>
        {if $spotlightTldsHome}
            <div class="featured-tlds">
                {foreach $spotlightTldsHome as $key => $data}
                    <div class="featured-col">
                        <div class="domain">
                            {$data.tld|replace:".":"<span>.</span>"}
                        </div>
                        <div class="price">
                            <span>{$data.register}</span>
                        </div>
                    </div>
                {/foreach}
            </div>
        {/if}
    {/if}
</section>

