<div class="col-span-12 sm:-mx-5">
    <div menuItemName="{$item->getName()}" {if $item->getAttribute('id')} id="{$item->getAttribute('id')}"{/if}>
        <h3 class="page-header-2"><span aria-hidden="true" class="icon icon-layers"></span> <span class="text-lg header-text">{$LANG.clientHomePanels.activeProductsServices|replace:'Your Active Products/Services':'Active Services'}</span></h3>
        {if $item->hasBodyHtml()}
            <div class="panel-body">
                {$item->getBodyHtml()}
            </div>
        {/if}
        {if $item->hasChildren()}
            <table class="table table-data table-hover" id="myServices">
                <thead>
                    <tr>
                        <th>{$LANG.orderproduct}</th>
                        <th class="hidden-sm hidden-xs">{$LANG.clientareahostingdomain}</th>
                        <th class="hidden-sm hidden-xs">{$LANG.orderbillingcycle}</th>
                        <th class="text-right hidden-sm hidden-xs">{$LANG.clientareahostingnextduedate}</th>
                    </tr>
                </thead>
                <tbody>{foreach $item->getChildren() as $childItem}
                        {if $childItem->getUri()}
                            <tr>
                                <td>
                                    <a menuItemName="{$childItem->getName()}" href="{$childItem->getUri()}" class="{if $childItem->getClass()} {$childItem->getClass()}{/if}{if $childItem->isCurrent()} active{/if}" {if $childItem->getAttribute('dataToggleTab')} data-toggle="tab"{/if}{if $childItem->getAttribute('target')} target="{$childItem->getAttribute('target')}"{/if} id="{$childItem->getId()}">
                                        {if $childItem->hasIcon()}<i class="{$childItem->getIcon()}"></i>&nbsp;{/if}
                                        {hexa_explode_service_name_line($childItem->getLabel())}
                                        {if $childItem->hasBadge()}&nbsp;<span class="badge">{$childItem->getBadge()}</span>{/if}
                                    </a>
                                </td>
                                <td class="hidden-sm hidden-xs">
                                    {hexa_get_services_info_from_db_($childItem->getUri(),'domain')}
                                </td>
                                <td class="hidden-sm hidden-xs">
                                    {hexa_get_services_info_from_db_($childItem->getUri(),'billingcycle')}
                                </td>
                                <td class="text-right hidden-sm hidden-xs">
                                    {hexa_get_services_info_from_db_($childItem->getUri(),'nextduedate')}
                                </td>
                            </tr>
                        {/if}
                    {foreachelse}
                        <tr>
                            <td colspan="{if $masspay}7{else}6{/if}" class="norecords">{$LANG.norecordsfound}</td>
                    </tr>{/foreach}
                </tbody>
            </table>
        {/if}
        {if $item->hasFooterHtml()}
            <div class="panel-footer">
                {$item->getFooterHtml()}
            </div>
        {/if}
    </div>
</div>