{if $hexa_minimal == 1}
<div class="py-5 text-xs text-center">{$LANG.pwresetemailneeded}</div>
<form method="post" action="{routePath('password-reset-validate-email')}" role="form">
    <input type="hidden" name="action" value="reset" />
    <div class="form-group">
        <label for="inputEmail">{$LANG.loginemail}</label>
        <input type="email" name="email" class="form-control input-lg" id="inputEmail" placeholder="{$LANG.enteremail}" autofocus>
    </div>
    {if $captcha->isEnabled()}
        <div class="text-center margin-bottom">
            {include file="$template/includes/captcha.tpl"}
        </div>
    {/if}
    <div class="form-group">
        <button type="submit" class="btn btn-block btn-primary{$captcha->getButtonClass($captchaForm)}">
            {$LANG.pwresetsubmit}
        </button>
    </div>
</form>

{else}    
<div class="alert alert-default">
<p>{$LANG.pwresetemailneeded}</p>
</div>
<form method="post" action="{routePath('password-reset-validate-email')}" role="form" class="form-horizontal">
    <input type="hidden" name="action" value="reset" />
    <div class="form-group">
        <label for="inputEmail" class="col-sm-2 control-label">{$LANG.loginemail}</label>
        <div class="col-sm-6">
        <input type="email" name="email" class="form-control" id="inputEmail" placeholder="{$LANG.enteremail}" autofocus>
    </div>
    </div>
    {if $captcha->isEnabled()}
        <div class="text-center margin-bottom">
            {include file="$template/includes/captcha.tpl"}
        </div>
    {/if}
<div class="col-sm-offset-2 col-sm-6">
    <div class="form-group" style="padding-left:5px;">
        <button type="submit" class="btn btn-primary{$captcha->getButtonClass($captchaForm)}">
            {$LANG.pwresetsubmit}
        </button>
    </div>
</div>
</form>
{/if}