<div id="invoiceIdSummary" class="invoice-summary">
    <h2 class="text-left">
        {$LANG.invoicenumber}{if $invoicenum}{$invoicenum}{else}{$invoiceid}{/if}
    </h2>
    <div class="invoice-summary-table">
        <table class="table table-condensed">
            <tr>
                <td class="text-left"><strong>{$LANG.invoicesdescription}</strong></td>
                <td width="150" class="text-right"><strong>{$LANG.invoicesamount}</strong></td>
            </tr>
            {foreach $invoiceitems as $item}
                <tr>
                    <td>{$item.description}</td>
                    <td class="text-right">{$item.amount}</td>
                </tr>
            {/foreach}
            <tr>
                <td class="total-row text-right">{$LANG.invoicessubtotal}</td>
                <td class="total-row text-right">{$invoice.subtotal}</td>
            </tr>
            {if $invoice.taxrate}
                <tr>
                    <td class="total-row text-right">{$invoice.taxrate}% {$invoice.taxname}</td>
                    <td class="total-row text-right">{$invoice.tax}</td>
                </tr>
            {/if}
            {if $invoice.taxrate2}
                <tr>
                    <td class="total-row text-right">{$invoice.taxrate2}% {$invoice.taxname2}</td>
                    <td class="total-row text-right">{$invoice.tax2}</td>
                </tr>
            {/if}
            <tr>
                <td class="total-row text-right">{$LANG.invoicescredit}</td>
                <td class="total-row text-right">{$invoice.credit}</td>
            </tr>
            <tr>
                <td class="total-row text-right">{$LANG.invoicestotaldue}</td>
                <td class="total-row text-right">{$invoice.total}</td>
            </tr>
        </table>
    </div>
    <p class="text-right">
        {$LANG.paymentstodate}: <strong>{$invoice.amountpaid}</strong><br />
        {$LANG.balancedue}: <strong>{$balance}</strong>
    </p>
</div>
