{include file="$template/includes/flashmessage.tpl"}
{include file="$template/includes/pageheader.tpl" title=$LANG.userProfile.profile icon=user}

<form method="post" action="{routePath('user-profile-save')}">
    <div class="grid grid-cols-12 gap-6 mt-5 sm:mx-5 pb-10">
        <div class="col-span-12">
            <div class="form-group">
                <label for="inputFirstName" class="control-label">
                    {$LANG.clientareafirstname}
                </label>
                <input type="text" name="firstname" id="inputFirstName" value="{$user->firstName}" class="form-control" {if in_array('firstname', $uneditableFields)}disabled="disabled" {/if}>
            </div>
        </div>
        <div class="col-span-12">
            <div class="form-group">
                <label for="inputLastName" class="control-label">
                    {$LANG.clientarealastname}
                </label>
                <input type="text" name="lastname" id="inputLastName" value="{$user->lastName}" class="form-control" {if in_array('lastname', $uneditableFields)}disabled="disabled" {/if}>
            </div>
        </div>
        <div class="col-span-12 flex items-center">
            <input class="btn btn-primary" type="submit" name="save" value="{$LANG.clientareasavechanges}" />
            <input class="btn btn-link" type="reset" value="{$LANG.cancel}" />
        </div>
    </div>
</form>
{include file="$template/includes/pageheader.tpl" title=$LANG.userProfile.changeEmail icon=envelope}
{if $user->needsToCompleteEmailVerification()}
<span class="label label-default">{$LANG.userProfile.notVerified}</span>
{elseif $user->emailVerified()}
<span class="label label-success">{$LANG.userProfile.verified}</span>
{/if}
<form method="post" action="{routePath('user-profile-email-save')}">
    <div class="grid grid-cols-12 gap-6 mt-5 sm:mx-5 pb-10">
        <div class="col-span-12">
            <div class="form-group">
                <label for="inputEmail" class="control-label">
                    {$LANG.clientareaemail}
                </label>
                <input type="email" name="email" id="inputEmail" value="{$user->email}" class="form-control" {if in_array('email', $uneditableFields)}disabled="disabled" {/if}>
            </div>
        </div>
        <div class="col-span-12 flex items-center">
            <input class="btn btn-primary" type="submit" name="save" value="{$LANG.clientareasavechanges}" />
            <input class="btn btn-link" type="reset" value="{$LANG.cancel}" />
        </div>
    </div>
</form>