<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>{$LANG.clientareaemails} - {$companyname}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="templates/{$template}/assets/css/bootstrap-hexa.min.css" rel="stylesheet">
    <link rel='stylesheet' href="{$WEB_ROOT}/templates/{$template}/assets/css/skins/core.min.css" />
	<link href="templates/{$template}/assets/css/style.css" rel="stylesheet">
	<script src="{$WEB_ROOT}/templates/{$template}/assets/js/scripts.min.js?v={$versionHash}"></script>
</head>

<body id="popup-backdrop" class="bg-gray-900">
    <div class="panel panel-default">
        <div class="panel-heading">
            <h2 class="popup-header-padding"><i class='far fa-envelope'>&nbsp;</i>{$subject}</h2>
            {if count($attachments) > 0}
                <div class="popup-header-padding">
                    {foreach $attachments as $attachedFile}
                        <i class="fal fa-paperclip"></i> {$attachedFile}{if !$attachedFile@last}<br>{/if}
                    {/foreach}
                </div>
            {/if}
        </div>
        <div class="panel-body main-content">
            <iframe id="emailmessage" width="100%" height="300" frameborder="0" srcdoc="{$message|escape}"></iframe>
        </div>
        <div class="panel-footer">
            <p class="text-center">
                <input type="button" value="{$LANG.closewindow}" class="btn btn-primary" onclick="window.close()" />
            </p>
        </div>
	</div>
	
<script>
  $("#emailmessage").on("load", function() {
  let head = $("#emailmessage").contents().find("head");
  let css = '<style>#bodyTable, body { background-color: #1b1d24!important; }</style>';
  $(head).append(css);
});
</script>

</body>
</html>