{include file="orderforms/flowcart7/common.tpl"}
{include file="orderforms/flowcart7/custom-styles.tpl"}
{include file="orderforms/flowcart7/products-header.tpl"}
<div id="order-standard_cart">
<div class="flex items-center sm:ml-5 headline-line">
<h4 class="flex-shrink-0 pr-4 pl-0 m-0 text-sm leading-5 tracking-wider font-semibold uppercase sub-header ">
{$LANG.cartproductaddons}
</h4>
<div class="flex-1 border-solid border-0 border-t-2"></div>
</div>
    {if count($addons) == 0}
    <div id="noAddons" class="alert alert-warning text-center" role="alert">
      {$LANG.cartproductaddonsnone}
    </div>
    <div class="form-group sm:ml-5">
      <a href="clientarea.php" class="btn btn-default">
        {$LANG.orderForm.returnToClientArea}
      </a>
    </div>
    {/if}
    <div class="products text-center">
      <div class="grid grid-cols-12 gap-6 mt-5 mb-3 sm:ml-5 main-grid">
        {foreach $addons as $num => $addon}
        <div class="col-span-12 md:col-span-6 2xl:col-span-4 well">
          <div class="product" id="product{$num}">
            <form method="post" action="{$smarty.server.PHP_SELF}?a=add">
              <input type="hidden" name="aid" value="{$addon.id}" />
              <header>
                <h4>{$addon.name}</h4s>
              </header>
              <div class="product-desc">
                <p>{$addon.description|nl2br}</p>
                <div class="form-group">
                  <select name="productid" id="inputProductId{$num}" class="form-control">
                    {foreach $addon.productids as $product}
                    <option value="{$product.id}">
                      {$product.product}{if $product.domain} - {$product.domain}{/if}
                    </option>
                    {/foreach}
                  </select>
                </div>
              </div>
              <footer>
                <div class="product-pricing h4 p-1">
                  {if $addon.free}
                  {$LANG.orderfree}
                  {else}
                  <span class="price">{$addon.recurringamount} {$addon.billingcycle}</span>
                  {if $addon.setupfee}<br />+ {$addon.setupfee} {$LANG.ordersetupfee}{/if}
                  {/if}
                </div>
                <div class="form-group">
                <button type="submit" class="btn btn-success btn-block btn-lg">{$LANG.ordernowbutton}</button>
              </div>
              </footer>
            </form>
          </div>
        </div>
     {/foreach}
      </div>
    </div>
  </div>
