<script>
    // Define state tab index value
    var statesTab = 10;
    // Do not enforce state input client side
    var stateNotRequired = true;
</script>
{include file="orderforms/flowcart7/common.tpl"}
{include file="orderforms/flowcart7/custom-styles.tpl"}
{include file="orderforms/flowcart7/cart-header.tpl" title=$LANG.rs_step4 desc=$LANG.rs_step4_desc step=4 pid=$products[0].pid}
<script type="text/javascript" src="{$BASE_PATH_JS}/StatesDropdown.js"></script>
<script type="text/javascript" src="{$BASE_PATH_JS}/PasswordStrength.js"></script>
<script>
    window.langPasswordStrength = "{$LANG.pwstrength}";
    window.langPasswordWeak = "{$LANG.pwstrengthweak}";
    window.langPasswordModerate = "{$LANG.pwstrengthmoderate}";
    window.langPasswordStrong = "{$LANG.pwstrengthstrong}";
</script>
<div id="order-standard_cart" class="row">
    <div class="col-md-7 sm:pl-10">
        <div class="already-registered clearfix text-right">
            <button type="button" class="btn btn-link{if $loggedin || !$loggedin && $custtype eq "existing"} w-hidden{/if}" id="btnAlreadyRegistered">
                <i class="fal fa-user fa-fw"></i> {$LANG.orderForm.existingCustomerLogin}
            </button>
            <button type="button" class="btn btn-link{if $loggedin || $custtype neq "existing"} w-hidden{/if}" id="btnNewUserSignup">
                <i class="fal fa-user-plus fa-fw"></i> {$LANG.orderForm.createAccount}
            </button>
            <hr class="mt-0 {if $loggedin} w-hidden{/if}">
        </div>
        {if $errormessage}
            <div class="alert alert-danger checkout-error-feedback" role="alert">
                <p>{$LANG.orderForm.correctErrors}:</p>
                <ul>
                    {$errormessage}
                </ul>
            </div>
            <div class="clearfix"></div>
        {/if}
        <form method="post" action="{$smarty.server.PHP_SELF}?a=checkout" name="orderfrm" id="frmCheckout">
            <input type="hidden" name="submit" value="true" />
            <input type="hidden" name="custtype" id="inputCustType" value="{$custtype}" />

            {if $custtype neq "new" && $loggedin}
                <h4 class="pl-0 pt-0">
                    {lang key='switchAccount.title'}
                </h4>
                <div id="containerExistingAccountSelect" class="row account-select-container">
                    {foreach $accounts as $account}
                        <div class="col-sm-{if $accounts->count() == 1}12{else}6{/if}">
                            <div class="account{if $selectedAccountId == $account->id} active{/if}">
                                <label class="radio-inline pl-0" for="account{$account->id}">
                                    <input id="account{$account->id}" class="account-select{if $account->isClosed || $account->noPermission || $inExpressCheckout} disabled{/if}" type="radio" name="account_id" value="{$account->id}" {if $account->isClosed || $account->noPermission || $inExpressCheckout} disabled="disabled"{/if}{if $selectedAccountId == $account->id} checked="checked"{/if}>
                                    <span class="address">
                                        <strong>
                                            {if $account->company}{$account->company}{else}{$account->fullName}{/if}
                                        </strong>
                                        {if $account->isClosed || $account->noPermission}
                                            <span class="label label-default">
                                                {if $account->isClosed}
                                                    {lang key='closed'}
                                                {else}
                                                    {lang key='noPermission'}
                                                {/if}
                                            </span>
                                        {elseif $account->currencyCode}
                                            <span class="label label-info">
                                                {$account->currencyCode}
                                            </span>
                                        {/if}
                                        <span class="px-3">
                                            {$account->address1}{if $account->address2}, {$account->address2}{/if}
                                            {if $account->city}{$account->city},{/if}
                                            {if $account->state} {$account->state},{/if}
                                            {if $account->postcode} {$account->postcode},{/if}
                                            {$account->countryName}
                                        </span>
                                    </span>
                                </label>
                            </div>
                        </div>
                    {/foreach}
                    <div class="col-sm-12">
                        <div class="account border-bottom{if !$selectedAccountId || !is_numeric($selectedAccountId)} active{/if}">
                            <label class="radio-inline pl-0">
                                <input class="account-select" type="radio" name="account_id" value="new" {if !$selectedAccountId || !is_numeric($selectedAccountId)} checked="checked" {/if}{if $inExpressCheckout} disabled="disabled" class="disabled" {/if}>
                                {lang key='orderForm.createAccount'}
                            </label>
                        </div>
                    </div>
                </div>
            {/if}

            <div id="containerExistingUserSignin" {if $loggedin || $custtype neq "existing" } class="w-hidden" {/if}>
                <h4>
                    <span>{$LANG.orderForm.existingCustomerLogin}</span>
                </h4>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="inputLoginEmail">
                                {$LANG.orderForm.emailAddress}
                            </label>
                            <input type="text" name="loginemail" id="inputLoginEmail" class="form-control input-lg" placeholder="" value="{$loginemail}">
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="inputLoginPassword">
                                {$LANG.clientareapassword}
                            </label>
                            <input type="password" name="loginpassword" id="inputLoginPassword" class="form-control input-lg" placeholder="">
                        </div>
                    </div>
                </div>
                {include file="orderforms/flowcart7/linkedaccounts.tpl" linkContext="checkout-existing"}
            </div>
            <div id="containerNewUserSignup" {if $custtype==='existing' || (is_numeric($selectedAccountId) && $selectedAccountId> 0) || ($loggedin && $accounts->count() > 0 && $selectedAccountId !== 'new')} class="w-hidden"{/if}>
                <div{if $loggedin} class="w-hidden" {/if}>
                    {include file="orderforms/flowcart7/linkedaccounts.tpl" linkContext="checkout-new"}
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group">
                        <label for="inputFirstName" class="control-label">{$LANG.orderForm.firstName}</label>
                        <input type="text" name="firstname" id="inputFirstName" class="form-control input-lg" value="{$clientsdetails.firstname}">
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-group">
                        <label for="inputLastName" class="control-label">{$LANG.orderForm.lastName}</label>
                        <input type="text" name="lastname" id="inputLastName" class="form-control input-lg" value="{$clientsdetails.lastname}">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group">
                        <label for="inputEmail" class="control-label">{$LANG.orderForm.emailAddress}</label>
                        <input type="email" name="email" id="inputEmail" class="form-control input-lg" value="{$clientsdetails.email}">
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-group">
                        <label for="inputPhone" class="control-label">{$LANG.orderForm.phoneNumber}</label>
                        <input type="tel" name="phonenumber" id="inputPhone" class="form-control input-lg" value="{$clientsdetails.phonenumber}">
                    </div>
                </div>
            </div>
            <h4>{$LANG.orderForm.billingAddress}</h4>
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group">
                        <label for="inputCompanyName" class="control-label">{$LANG.orderForm.companyName}
                            ({$LANG.orderForm.optional})</label>
                        <input type="text" name="companyname" id="inputCompanyName" class="form-control input-lg" value="{$clientsdetails.companyname}">
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-group">
                        <label for="inputAddress1" class="control-label">{$LANG.orderForm.streetAddress}</label>
                        <input type="text" name="address1" id="inputAddress1" class="form-control input-lg" value="{$clientsdetails.address1}">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group">
                        <label for="inputAddress2" class="control-label">{$LANG.orderForm.streetAddress2}</label>
                        <input type="text" name="address2" id="inputAddress2" class="form-control input-lg" value="{$clientsdetails.address2}">
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-group">
                        <label for="inputCity" class="control-label">{$LANG.orderForm.city}</label>
                        <input type="text" name="city" id="inputCity" class="form-control input-lg" value="{$clientsdetails.city}">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label for="inputState" class="control-label">{$LANG.orderForm.state}</label>
                                <input type="text" name="state" id="inputState" class="form-control input-lg" placeholder="{$LANG.orderForm.state}" value="{$clientsdetails.state}">
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label for="inputPostcode" class="control-label">{$LANG.orderForm.postcode}</label>
                                <input type="text" name="postcode" id="inputPostcode" class="form-control input-lg" value="{$clientsdetails.postcode}">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-group">
                        <label class="control-label" for="country">{$LANG.orderForm.country}</label>
                        <select name="country" id="inputCountry" class="input-lg form-control">
                            {foreach $countries as $countrycode => $countrylabel}
                                <option value="{$countrycode}" {if (!$country && $countrycode==$defaultcountry) || $countrycode eq $country} selected{/if}>
                                    {$countrylabel}
                                </option>
                            {/foreach}
                        </select>
                    </div>
                </div>
            </div>
            {if $showTaxIdField}
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group prepend-icon">
                            <label for="inputTaxId" class="control-label">{$taxLabel}
                                ({$LANG.orderForm.optional})</label>
                            <input type="text" name="tax_id" id="inputTaxId" class="input-lg form-control" value="{$clientsdetails.tax_id}">
                        </div>
                    </div>
                </div>
            {/if}
            {if $customfields}
                <h6 class="m-t-16">{$LANG.orderadditionalrequiredinfo}</h6>
                <div class="row">
                    {foreach from=$customfields key=num item=customfield}
                        <div class="col-sm-6">
                            <div class="form-group">
                                {if $customfield.type eq 'tickbox'}
                                    <label class="checkbox" for="customfield{$customfield.id}">
                                        {$customfield.input}
                                        {$customfield.name}
                                    </label>
                                    {if $customfield.description}<span class="help-block">{$customfield.description}</span>{/if}
                                {else}
                                    <label class="control-label" for="customfield{$customfield.id}">{$customfield.name}</label>
                                    {$customfield.input}
                                    {if $customfield.description}<span class="help-block">{$customfield.description}</span>{/if}
                                {/if}
                            </div>
                        </div>
                    {/foreach}
                </div>
            {/if}
    </div>
    {if $domainsinorder}
        <h4>
            <span>{$LANG.domainregistrantinfo}</span>
        </h4>
        <p>{$LANG.orderForm.domainAlternativeContact}</p>
        <div class="row">
            <div class="col-sm-12">
                <select name="contact" id="inputDomainContact" class="form-control input-lg">
                    <option value="">{$LANG.usedefaultcontact}</option>
                    {foreach $domaincontacts as $domcontact}
                        <option value="{$domcontact.id}" {if $contact==$domcontact.id} selected{/if}>
                            {$domcontact.name}
                        </option>
                    {/foreach}
                    <option value="addingnew" {if $contact=="addingnew" } selected{/if}>
                        {$LANG.clientareanavaddcontact}...
                    </option>
                </select>
            </div>
        </div>
        <div class="row{if $contact neq "addingnew"} w-hidden{/if}" id="domainRegistrantInputFields">
            <div class="col-sm-6">
                <div class="form-group prepend-icon">
                    <label for="inputDCFirstName">
                        {$LANG.orderForm.firstName}
                    </label>
                    <input type="text" name="domaincontactfirstname" id="inputDCFirstName" class="form-control" placeholder="" value="{$domaincontact.firstname}">
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group prepend-icon">
                    <label for="inputDCLastName">
                        {$LANG.orderForm.lastName}
                    </label>
                    <input type="text" name="domaincontactlastname" id="inputDCLastName" class="form-control" placeholder="" value="{$domaincontact.lastname}">
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group prepend-icon">
                    <label for="inputDCEmail">
                        {$LANG.orderForm.emailAddress}
                    </label>
                    <input type="email" name="domaincontactemail" id="inputDCEmail" class="form-control" placeholder="" value="{$domaincontact.email}">
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group prepend-icon">
                    <label for="inputDCPhone">
                        {$LANG.orderForm.phoneNumber}
                    </label>
                    <input type="tel" name="domaincontactphonenumber" id="inputDCPhone" class="form-control" placeholder="" value="{$domaincontact.phonenumber}">
                </div>
            </div>
            <div class="col-sm-12">
                <div class="form-group prepend-icon">
                    <label for="inputDCCompanyName">
                        {$LANG.orderForm.companyName} ({$LANG.orderForm.optional})
                    </label>
                    <input type="text" name="domaincontactcompanyname" id="inputDCCompanyName" class="form-control" placeholder="" value="{$domaincontact.companyname}">
                </div>
            </div>
            <div class="col-sm-12">
                <div class="form-group prepend-icon">
                    <label for="inputDCAddress1">
                        {$LANG.orderForm.streetAddress}
                    </label>
                    <input type="text" name="domaincontactaddress1" id="inputDCAddress1" class="form-control" placeholder="" value="{$domaincontact.address1}">
                </div>
            </div>
            <div class="col-sm-12">
                <div class="form-group prepend-icon">
                    <label for="inputDCAddress2">
                        {$LANG.orderForm.streetAddress2}
                    </label>
                    <input type="text" name="domaincontactaddress2" id="inputDCAddress2" class="form-control" placeholder="" value="{$domaincontact.address2}">
                </div>
            </div>
            <div class="col-sm-4">
                <div class="form-group prepend-icon">
                    <label for="inputDCCity">
                        {$LANG.orderForm.city}
                    </label>
                    <input type="text" name="domaincontactcity" id="inputDCCity" class="form-control" placeholder="" value="{$domaincontact.city}">
                </div>
            </div>
            <div class="col-sm-5">
                <div class="form-group prepend-icon">
                    <label for="inputDCState">
                        {$LANG.orderForm.state}
                    </label>
                    <input type="text" name="domaincontactstate" id="inputDCState" class="form-control" placeholder="" value="{$domaincontact.state}">
                </div>
            </div>
            <div class="col-sm-3">
                <div class="form-group prepend-icon">
                    <label for="inputDCPostcode">
                        {$LANG.orderForm.postcode}
                    </label>
                    <input type="text" name="domaincontactpostcode" id="inputDCPostcode" class="form-control" placeholder="" value="{$domaincontact.postcode}">
                </div>
            </div>
            <div class="col-sm-12">
                <div class="form-group prepend-icon">
                    <label for="inputDCCountry" id="inputCountryIcon">
    
                    </label>
                    <select name="domaincontactcountry" id="inputDCCountry" class="form-control">
                        {foreach $countries as $countrycode => $countrylabel}
                            <option value="{$countrycode}" {if (!$domaincontact.country && $countrycode==$defaultcountry) || $countrycode eq $domaincontact.country} selected{/if}>
                                {$countrylabel}
                            </option>
                        {/foreach}
                    </select>
                </div>
            </div>
            <div class="col-sm-12">
                <div class="form-group prepend-icon">
                    <label for="inputDCTaxId">
    
                    </label>
                    <input type="text" name="domaincontacttax_id" id="inputDCTaxId" class="form-control" placeholder="{$taxLabel} ({$LANG.orderForm.optional})" value="{$domaincontact.tax_id}">
                </div>
            </div>
        </div>
    {/if}
    {if !$loggedin}
        <div id="containerNewUserSecurity" {if (!$loggedin && $custtype eq "existing" ) || ($remote_auth_prelinked && !$securityquestions) } class="w-hidden" {/if}>
            <h4>
                <span>{$LANG.orderForm.accountSecurity}</span>
            </h4>
            <div id="containerPassword" class="row{if $remote_auth_prelinked && $securityquestions} w-hidden{/if}">
                <div id="passwdFeedback" class="w-hidden alert alert-info text-center col-sm-12"></div>
                <div class="col-sm-6">
                    <div class="form-group">
                        <label for="inputNewPassword1">
                            {$LANG.clientareapassword}
                        </label>
                        <input type="password" name="password" id="inputNewPassword1" data-error-threshold="{$pwStrengthErrorThreshold}" data-warning-threshold="{$pwStrengthWarningThreshold}" class="form-control input-lg" placeholder="" {if $remote_auth_prelinked} value="{$password}" {/if}>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-group">
                        <label for="inputNewPassword2">
                            {$LANG.clientareaconfirmpassword}
                        </label>
                        <input type="password" name="password2" id="inputNewPassword2" class="form-control input-lg" placeholder="" {if $remote_auth_prelinked} value="{$password}" {/if}>
                    </div>
                </div>
                <div class="col-sm-6">
                    <button type="button" class="btn btn-default btn-sm generate-password" data-targetfields="inputNewPassword1,inputNewPassword2">
                        {$LANG.generatePassword.btnLabel}
                    </button>
                </div>
                <div class="col-sm-6">
                    <div class="password-strength-meter">
                        <div class="progress">
                            <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" id="passwordStrengthMeterBar">
                            </div>
                        </div>
                        <p class="text-center small" id="passwordStrengthTextLabel">{$LANG.pwstrength}: {$LANG.pwstrengthenter}</p>
                    </div>
                </div>
            </div>
            {if $securityquestions}
                <div class="row">
                    <div class="col-sm-6">
                        <label>{$LANG.clientareasecurityquestion}</label>
                        <select name="securityqid" id="inputSecurityQId" class="form-control input-lg">
                            <option value="">{$LANG.clientareasecurityquestion}</option>
                            {foreach $securityquestions as $question}
                                <option value="{$question.id}" {if $question.id eq $securityqid} selected{/if}>
                                    {$question.question}
                                </option>
                            {/foreach}
                        </select>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="inputSecurityQAns">
                                {$LANG.clientareasecurityanswer}
                            </label>
                            <input type="password" name="securityqans" id="inputSecurityQAns" class="form-control input-lg" placeholder="{$LANG.clientareasecurityanswer}">
                        </div>
                    </div>
                </div>
            {/if}
        </div>
    {/if}
    {foreach $hookOutput as $output}
        <div>
            {$output}
        </div>
    {/foreach}
    <h4>
        <span>{$LANG.orderForm.paymentDetails}</span>
    </h4>
    <div id="applyCreditContainer" class="apply-credit-container{if !$canUseCreditOnCheckout} w-hidden{/if}" data-apply-credit="{$applyCredit}">
        <p>{lang key='cart.availableCreditBalance' amount=$creditBalance}</p>
        <label class="radio">
            <input id="useCreditOnCheckout" type="radio" name="applycredit" value="1" {if $applyCredit} checked{/if}>
            <span id="spanFullCredit" {if !($creditBalance->toNumeric() >= $total->toNumeric())} class="w-hidden"{/if}>
                {lang key='cart.applyCreditAmountNoFurtherPayment' amount=$total}
            </span>
            <span id="spanUseCredit" {if $creditBalance->toNumeric() >= $total->toNumeric()} class="w-hidden"{/if}>
                {lang key='cart.applyCreditAmount' amount=$creditBalance}
            </span>
        </label>
        <label class="radio">
            <input id="skipCreditOnCheckout" type="radio" name="applycredit" value="0" {if !$applyCredit} checked{/if}>
            {lang key='cart.applyCreditSkip' amount=$creditBalance}
        </label>
    </div>
    {if !$inExpressCheckout}
        <div id="paymentGatewaysContainer" class="form-group">
            <div class="text-left">
                {foreach $gateways as $gateway}
                    <label class="radio-inline">
                        <input type="radio" name="paymentmethod" value="{$gateway.sysname}" data-payment-type="{$gateway.payment_type}" data-show-local="{$gateway.show_local_cards}" data-remote-inputs="{$gateway.uses_remote_inputs}" class="payment-methods{if $gateway.type eq "CC"} is-credit-card{/if}" {if $selectedgateway eq $gateway.sysname} checked{/if} />
                        {$gateway.name}
                    </label>
                {/foreach}
            </div>
        </div>
        <div class="alert alert-danger text-center gateway-errors w-hidden"></div>
        <div class="clearfix"></div>
        <div class="cc-input-container{if $selectedgatewaytype neq "CC"} w-hidden{/if}" id="creditCardInputFields">
            {if $client}
                <div id="existingCardsContainer" class="existing-cc-grid">
                    {include file="orderforms/flowcart7/includes/existing-paymethods.tpl"}
                </div>
            {/if}
            <div class="row cvv-input" id="existingCardInfo">
                <div class="col-lg-3 col-sm-4">
                    <div class="form-group">
                        <label for="inputCardCVV2">
                            {$LANG.creditcardcvvnumbershort}
                        </label>
                        <div class="input-group">
                            <input type="tel" name="cccvv" id="inputCardCVV2" class="form-control input-lg" placeholder="{$LANG.creditcardcvvnumbershort}" autocomplete="cc-cvc">
                            <span class="input-group-btn">
                                <button type="button" class="btn btn-default" data-toggle="popover" data-placement="bottom" data-content="<img src='{$BASE_PATH_IMG}/ccv.gif' width='210' />">
                                    <i class="fas fa-question"></i>
                                </button>
                            </span>
                        </div>
                        <span class="field-error-msg">{lang key="paymentMethodsManage.cvcNumberNotValid"}</span>
                    </div>
                </div>
            </div>
            <ul>
                <li>
                    <label class="radio-inline">
                        <input type="radio" name="ccinfo" value="new" id="new" {if !$client || $client->payMethods->count() === 0} checked="checked"{/if} />
                        &nbsp;
                        {lang key='creditcardenternewcard'}
                    </label>
                </li>
            </ul>
            <div class="row" id="newCardInfo">
                <div id="cardNumberContainer" class="col-sm-6 new-card-container">
                    <div class="form-group prepend-icon">
                        <label for="inputCardNumber" class="field-icon">
                            <i class="fas fa-credit-card"></i>
                        </label>
                        <input type="tel" name="ccnumber" id="inputCardNumber" class="field cc-number-field" placeholder="{$LANG.orderForm.cardNumber}" autocomplete="cc-number" data-message-unsupported="{lang key='paymentMethodsManage.unsupportedCardType'}" data-message-invalid="{lang key='paymentMethodsManage.cardNumberNotValid'}" data-supported-cards="{$supportedCardTypes}" />
                        <span class="field-error-msg"></span>
                    </div>
                </div>
                <div class="col-sm-3 new-card-container">
                    <div class="form-group prepend-icon">
                        <label for="inputCardExpiry" class="field-icon">
                            <i class="fas fa-calendar-alt"></i>
                        </label>
                        <input type="tel" name="ccexpirydate" id="inputCardExpiry" class="field" placeholder="MM / YY{if $showccissuestart} ({$LANG.creditcardcardexpires}){/if}" autocomplete="cc-exp">
                        <span class="field-error-msg">{lang key="paymentMethodsManage.expiryDateNotValid"}</span>
                    </div>
                </div>
                <div class="col-sm-3" id="cvv-field-container">
                    <div class="form-group prepend-icon">
                        <label for="inputCardCVV" class="field-icon">
                            <i class="fas fa-barcode"></i>
                        </label>
                        <div class="input-group">
                            <input type="tel" name="cccvv" id="inputCardCVV" class="field" placeholder="{$LANG.creditcardcvvnumbershort}" autocomplete="cc-cvc">
                            <span class="input-group-btn">
                                <button type="button" class="btn btn-default" data-toggle="popover" data-placement="bottom" data-content="<img src='{$BASE_PATH_IMG}/ccv.gif' width='210' />">
                                    <i class="fas fa-question"></i>
                                </button>
                            </span><br>
                        </div>
                        <span class="field-error-msg">{lang key="paymentMethodsManage.cvcNumberNotValid"}</span>
                    </div>
                </div>
                {if $showccissuestart}
                    <div class="col-sm-3 col-sm-offset-6 new-card-container">
                        <div class="form-group prepend-icon">
                            <label for="inputCardStart" class="field-icon">
                                <i class="far fa-calendar-check"></i>
                            </label>
                            <input type="tel" name="ccstartdate" id="inputCardStart" class="field" placeholder="MM / YY ({$LANG.creditcardcardstart})" autocomplete="cc-exp">
                        </div>
                    </div>
                    <div class="col-sm-3 new-card-container">
                        <div class="form-group prepend-icon">
                            <label for="inputCardIssue" class="field-icon">
                                <i class="fas fa-asterisk"></i>
                            </label>
                            <input type="tel" name="ccissuenum" id="inputCardIssue" class="field" placeholder="{$LANG.creditcardcardissuenum}">
                        </div>
                    </div>
                {/if}
            </div>
            <div class="row" id="newCardSaveSettings">
                <div class="form-group new-card-container">
                    <div id="inputDescriptionContainer" class="col-md-6">
                        <div class="prepend-icon">
                            <label for="inputDescription" class="field-icon">
                                <i class="fas fa-pencil"></i>
                            </label>
                            <input type="text" class="field" id="inputDescription" name="ccdescription" autocomplete="off" value="" placeholder="{$LANG.paymentMethods.descriptionInput} {$LANG.paymentMethodsManage.optional}" />
                        </div>
                    </div>
                    {if $allowClientsToRemoveCards}
                        <div id="inputNoStoreContainer" class="col-md-6" style="line-height: 32px;">
                            <input type="hidden" name="nostore" value="1">
                            <input type="checkbox" class="toggle-switch-success no-icheck" data-size="mini" checked="checked" name="nostore" id="inputNoStore" value="0" data-on-text="{lang key='yes'}" data-off-text="{lang key='no'}">
                            <label for="inputNoStore" class="checkbox-inline no-padding">
                                &nbsp;&nbsp;
                                {$LANG.creditCardStore}
                            </label>
                        </div>
                    {/if}
                </div>
            </div>
        </div>
    {else}
        {if $expressCheckoutOutput}
            {$expressCheckoutOutput}
        {else}
            <p>
                {lang key='paymentPreApproved' gateway=$expressCheckoutGateway}
            </p>
        {/if}
    {/if}
    {if $shownotesfield}
        <h4><span>{$LANG.orderForm.additionalNotes}</span></h4>
        <div class="row">
            <div class="col-sm-12">
                <div class="form-group">
                    <textarea name="notes" class="form-control" rows="4" placeholder="{$LANG.ordernotesdescription}">{$orderNotes}</textarea>
                </div>
            </div>
        </div>
    {/if}
    {if $showMarketingEmailOptIn}
        <div class="marketing-email-optin pb-10">
            <h4>{lang key='emailMarketing.joinOurMailingList'}</h4>
            <p>{$marketingEmailOptInMessage}</p>
            <input type="checkbox" name="marketingoptin" value="1" {if $marketingEmailOptIn} checked{/if} class="no-icheck toggle-switch-success" data-size="small" data-on-text="{lang key='yes'}" data-off-text="{lang key='no'}">
        </div>
    {/if}
    {if $filename eq "cart" && $smarty.get.a eq "checkout"}
        {if $captcha->isEnabled() && $captcha->isEnabledForForm($captchaForm)}
            {if $accepttos}
                <div class="tos text-center">
                    <label class="checkbox-inline">
                        <input type="checkbox" form="frmCheckout" name="accepttos" id="accepttos" />
                        &nbsp;
                        {$LANG.ordertosagreement}
                        <a href="{$tosurl}" target="_blank">{$LANG.ordertos}</a>
                    </label>
                </div>
            {/if}
            <div class="text-center">
                {include file="$template/includes/captcha.tpl"}
            </div>
            <div class="text-center form-group">
                <button type="submit" id="btnCompleteOrder" form="frmCheckout" class="btn btn-primary btn-lg disable-on-click spinner-on-click{$captcha->getButtonClass($captchaForm)}" {if $cartitems==0}disabled="disabled" {/if}>
                    {if $inExpressCheckout}{$LANG.confirmAndPay}{else}{$LANG.completeorder}{/if}
                    <i class="fal fa-arrow-right"></i>
                </button>
            </div>
        {else}
        {/if}
    {/if}
    </form>
</div>
<div class="col-md-5" id="scrollingPanelContainer">
    <div class="order-summary" id="orderSummary">
        <div class="loader" id="orderSummaryLoader" style="display: none;">
            <i class="fal fa-fw fa-sync fa-spin"></i>
        </div>
        <h4 class="text-sm leading-5 tracking-wider font-semibold uppercase">{$LANG.ordersummary}</h4>
        <div class="summary-container">
            <form method="post" action="{$smarty.server.PHP_SELF}?a=view">
                <div class="view-cart-items">
                    {foreach $products as $num => $product}
                        <div class="item">
                            <div class="row">
                                <div class="{if $showqtyoptions}col-sm-7{else}col-sm-9{/if}">
                                    <span class="item-title">
                                        {$product.productinfo.name}
                                        <a href="{$smarty.server.PHP_SELF}?a=confproduct&i={$num}" class="btn btn-link btn-xs">
                                            <i class="fal fa-pencil-alt"></i>
                                        </a>
                                        <button type="button" class="btn btn-link btn-xs btn-remove-from-cart" onclick="removeItem('p','{$num}')">
                                            <i class="fal fa-times"></i>
                                        </button>
                                    </span>
                                    <span class="item-group">
                                        {$product.productinfo.groupname}
                                    </span> {if $product.domain}
                                        <span class="item-domain">
                                            {$product.domain}
                                        </span>
                                        {/if} {if $product.configoptions}
                                        {foreach key=confnum item=configoption from=$product.configoptions}
                                            &nbsp;&raquo; {$configoption.name}: {if $configoption.type eq 1 || $configoption.type eq 2}{$configoption.option}{elseif $configoption.type eq 3}{if $configoption.qty}{$configoption.option}{else}{$LANG.no}{/if}{elseif $configoption.type eq 4}{$configoption.qty} x {$configoption.option}{/if}
                                            <br />
                                        {/foreach}
                                    {/if}
                                </div>
                                {if $showqtyoptions}
                                    <div class="col-sm-2 item-qty">
                                        {if $product.allowqty}
                                            <input type="number" name="qty[{$num}]" value="{$product.qty}" class="form-control text-center" min="0" />
                                            <button type="submit" class="btn btn-default btn-xs">
                                                {$LANG.orderForm.update}
                                            </button>
                                        {/if}
                                    </div>
                                {/if}
                                <div class="col-sm-3 item-price">
                                    <span>{$product.pricing.totalTodayExcludingTaxSetup}</span>
                                    <span class="cycle">{$product.billingcyclefriendly}</span> {if $product.pricing.productonlysetup} {$product.pricing.productonlysetup->toPrefixed()} {$LANG.ordersetupfee} {/if} {if $product.proratadate}
                                    <br />
                                ({$LANG.orderprorata} {$product.proratadate}){/if}
                            </div>
                        </div>
                    </div>
                    {foreach $product.addons as $addonnum => $addon}
                        <div class="item">
                            <div class="row">
                                <div class="{if $showAddonQtyOptions}col-sm-7{else}col-sm-9{/if}">
                                    <span class="item-title">
                                        {$addon.name}
                                    </span>
                                    <span class="item-group">
                                        {$LANG.orderaddon}
                                    </span>
                                    {if $addon.setup}
                                        <span class="item-setup">
                                            {$addon.setup} {$LANG.ordersetupfee}
                                        </span>
                                    {/if}
                                </div>
                                {if $showAddonQtyOptions}
                                    <div class="col-sm-2 item-qty">
                                        {if $addon.allowqty === 2}
                                            <input type="number" name="paddonqty[{$num}][{$addonnum}]" value="{$addon.qty}" class="form-control text-center" min="0" />
                                            <button type="submit" class="btn btn-default btn-xs">
                                                {$LANG.orderForm.update}
                                            </button>
                                        {/if}
                                    </div>
                                {/if}
                                <div class="col-sm-3 item-price">
                                    <span>{$addon.totaltoday}</span>
                                    <span class="cycle">{$addon.billingcyclefriendly}</span>
                                </div>
                            </div>
                        </div>
                    {/foreach}
                    {/foreach}
                    {foreach $addons as $num => $addon}
                        <div class="item">
                            <div class="row">
                                <div class="{if $showAddonQtyOptions}col-sm-7{else}col-sm-9{/if}">
                                    <span class="item-title">
                                        {$addon.name}
                                        <button type="button" class="btn btn-link btn-xs btn-remove-from-cart" onclick="removeItem('a','{$num}')">
                                            <i class="fal fa-times"></i>
                                            {$LANG.orderForm.remove}
                                        </button>
                                    </span>
                                    <span class="item-group">
                                        {$addon.productname}
                                    </span> {if $addon.domainname}
                                        <span class="item-domain">
                                            {$addon.domainname}
                                        </span>
                                        {/if} {if $addon.setup}
                                        <span class="item-setup">
                                            {$addon.setup} {$LANG.ordersetupfee}
                                        </span>
                                    {/if}
                                </div>
                                {if $showAddonQtyOptions}
                                    <div class="col-sm-2 item-qty">
                                        {if $addon.allowqty === 2}
                                            <input type="number" name="addonqty[{$num}]" value="{$addon.qty}" class="form-control text-center" min="0" />
                                            <button type="submit" class="btn btn-default btn-xs">
                                                {$LANG.orderForm.update}
                                            </button>
                                        {/if}
                                    </div>
                                {/if}
                                <div class="col-sm-3 item-price">
                                    <span>{$addon.pricingtext}</span>
                                    <span class="cycle">{$addon.billingcyclefriendly}</span>
                                </div>
                            </div>
                        </div>
                    {/foreach}
                    {foreach $domains as $num => $domain}
                        <div class="item">
                            <div class="row">
                                <div class="col-sm-9">
                                    <span class="item-title">
                                        {if $domain.type eq "register"}{$LANG.orderdomainregistration}{else}{$LANG.orderdomaintransfer}{/if}
                                        <a href="{$smarty.server.PHP_SELF}?a=confdomains" class="btn btn-link btn-xs">
                                            <i class="fal fa-pencil-alt"></i>
                                        </a>
                                        <button type="button" class="btn btn-link btn-xs btn-remove-from-cart" onclick="removeItem('d','{$num}')">
                                            <i class="fal fa-times"></i>
                                        </button>
                                    </span>
                                    {if $domain.domain}
                                        <span class="item-domain">
                                            {$domain.domain}
                                        </span>
                                        {/if} {if $domain.dnsmanagement}&nbsp;&raquo; {$LANG.domaindnsmanagement}
                                        <br />
                                        {/if} {if $domain.emailforwarding}&nbsp;&raquo; {$LANG.domainemailforwarding}
                                        <br />
                                        {/if} {if $domain.idprotection}&nbsp;&raquo; {$LANG.domainidprotection}<br />{/if}
                                    </div>
                                    <div class="col-sm-3 item-price">
                                        {if count($domain.pricing) == 1 || $domain.type == 'transfer'}
                                            <span name="{$domain.domain}Price">{$domain.price}</span>
                                            <span class="cycle">{$domain.regperiod} {$domain.yearsLanguage}</span>
                                            <span class="renewal cycle">
                                                {if isset($domain.renewprice)}{lang key='domainrenewalprice'} <span class="renewal-price cycle">{$domain.renewprice->toPrefixed()}{$domain.shortRenewalYearsLanguage}{/if}</span>
                                            </span>
                                        {else}
                                            <span name="{$domain.domain}Price">{$domain.price}</span>
                                            <div class="dropdown">
                                                <button class="btn btn-default btn-xs dropdown-toggle" type="button" id="{$domain.domain}Pricing" name="{$domain.domain}Pricing" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                                                    {$domain.regperiod} {$domain.yearsLanguage}
                                                    <span class="caret"></span>
                                                </button>
                                                <ul class="dropdown-menu" aria-labelledby="{$domain.domain}Pricing">
                                                    {foreach $domain.pricing as $years => $price}
                                                        <li>
                                                            <a href="#" onclick="selectDomainPeriodInCart('{$domain.domain}', '{$price.register}', {$years}, '{if $years == 1}{lang key='orderForm.year'}{else}{lang key='orderForm.years'}{/if}');return false;">
                                                                {$years} {if $years == 1}{lang key='orderForm.year'}{else}{lang key='orderForm.years'}{/if}
                                                                @ {$price.register}
                                                            </a>
                                                        </li>
                                                    {/foreach}
                                                </ul>
                                            </div>
                                            <span class="renewal cycle">
                                                {lang key='domainrenewalprice'} <span class="renewal-price cycle">{if isset($domain.renewprice)}{$domain.renewprice->toPrefixed()}{$domain.shortRenewalYearsLanguage}{/if}</span>
                                            </span>
                                        {/if}
                                    </div>
                                </div>
                            </div>
                        {/foreach}
                        {foreach key=num item=domain from=$renewals}
                            <div class="item">
                                <div class="row">
                                    <div class="col-sm-9">
                                        <span class="item-title">
                                            {$LANG.domainrenewal}
                                            <button type="button" class="btn btn-link btn-xs btn-remove-from-cart" onclick="removeItem('r','{$num}')">
                                                <i class="fal fa-times"></i>
                                                {$LANG.orderForm.remove}
                                            </button>
                                        </span>
                                        <span class="item-domain">
                                            {$domain.domain}
                                        </span> {if $domain.dnsmanagement}&nbsp;&raquo; {$LANG.domaindnsmanagement}
                                            <br />
                                            {/if} {if $domain.emailforwarding}&nbsp;&raquo; {$LANG.domainemailforwarding}
                                            <br />
                                            {/if} {if $domain.idprotection}&nbsp;&raquo; {$LANG.domainidprotection}<br />{/if}
                                        </div>
                                        <div class="col-sm-3 item-price">
                                            <span>{$domain.price}</span>
                                            <span class="cycle">{$domain.regperiod} {$LANG.orderyears}</span>
                                        </div>
                                    </div>
                                </div>
                            {/foreach}
                            {foreach $upgrades as $num => $upgrade}
                                <div class="item">
                                    <div class="row">
                                        <div class="col-sm-9">
                                            <span class="item-title">
                                                {$LANG.upgrade}
                                                <button type="button" class="btn btn-link btn-xs btn-remove-from-cart" onclick="removeItem('u','{$num}')">
                                                    <i class="fal fa-times"></i>
                                                    {$LANG.orderForm.remove}
                                                </button>
                                            </span>
                                            <span class="item-group">
                                                {if $upgrade->type == 'service'}
                                                    {$upgrade->originalProduct->productGroup->name}
                                                    <br>
                                                    {$upgrade->originalProduct->name} => {$upgrade->newProduct->name}
                                                {elseif $upgrade->type == 'addon'}
                                                    {$upgrade->originalAddon->name} => {$upgrade->newAddon->name}
                                                {/if}
                                            </span>
                                            <span class="item-domain">
                                                {if $upgrade->type == 'service'}
                                                    {$upgrade->service->domain}
                                                {/if}
                                            </span>
                                        </div>
                                        <div class="col-sm-3 item-price">
                                            <span>{$upgrade->newRecurringAmount}</span>
                                            <span class="cycle">{$upgrade->localisedNewCycle}</span>
                                        </div>
                                    </div>
                                    {if $upgrade->totalDaysInCycle > 0}
                                        <div class="row row-upgrade-credit">
                                            <div class="col-sm-9">
                                                <span class="item-group">
                                                    {$LANG.upgradeCredit}
                                                </span>
                                                <div class="upgrade-calc-msg">
                                                    {lang key="upgradeCreditDescription" daysRemaining=$upgrade->daysRemaining totalDays=$upgrade->totalDaysInCycle}
                                                </div>
                                            </div>
                                            <div class="col-sm-3 item-price">
                                                <span>-{$upgrade->creditAmount}</span>
                                            </div>
                                        </div>
                                    {/if}
                                </div>
                            {/foreach}
                            {if $cartitems == 0}
                                <div class="view-cart-empty">
                                    <div class="text-center text-4xl p-5">
                                        <i class="fal fa-dolly-empty"></i>
                                    </div>
                                    <p>{$LANG.cartempty}</p>
            
                                </div>
                            {/if}
                        </div>
                    </form>
                    {if $cartitems > 0}
                        <div class="empty-cart">
                            <button type="button" class="btn btn-default btn-xs mr-3 px-2 rounded-none" id="btnEmptyCart">
                                <span>{$LANG.emptycart}</span>
                            </button>
                        </div>
                    {/if}
                    <div class="subtotal clearfix">
                        <span class="pull-left flip">{$LANG.ordersubtotal}</span>
                        <span id="subtotal" class="pull-right flip">{$subtotal}</span>
                    </div>
                    {if $promotioncode || $taxrate || $taxrate2}
                        <div class="bordered-totals">
                            {if $promotioncode}
                                <div class="clearfix">
                                    <span class="pull-left flip">{$promotiondescription}</span>
                                    <span id="discount" class="pull-right flip">{$discount}</span>
                                </div>
                                {/if} {if $taxrate}
                                <div class="clearfix">
                                    <span class="pull-left flip">{$taxname} @ {$taxrate}%</span>
                                    <span id="taxTotal1" class="pull-right flip">{$taxtotal}</span>
                                </div>
                                {/if} {if $taxrate2}
                                <div class="clearfix">
                                    <span class="pull-left flip">{$taxname2} @ {$taxrate2}%</span>
                                    <span id="taxTotal2" class="pull-right flip">{$taxtotal2}</span>
                                </div>
                            {/if}
                        </div>
                    {/if}
                    <div class="recurring-totals clearfix">
                        <span class="pull-left flip">{$LANG.orderForm.totals}</span>
                        <span id="recurring" class="pull-right flip recurring-charges">
                            <span id="recurringMonthly" {if !$totalrecurringmonthly}style="display:none;" {/if}>
                                <span class="cost">{$totalrecurringmonthly}</span> {$LANG.orderpaymenttermmonthly}<br />
                            </span>
                            <span id="recurringQuarterly" {if !$totalrecurringquarterly}style="display:none;" {/if}>
                                <span class="cost">{$totalrecurringquarterly}</span> {$LANG.orderpaymenttermquarterly}<br />
                            </span>
                            <span id="recurringSemiAnnually" {if !$totalrecurringsemiannually}style="display:none;" {/if}>
                                <span class="cost">{$totalrecurringsemiannually}</span> {$LANG.orderpaymenttermsemiannually}<br />
                            </span>
                            <span id="recurringAnnually" {if !$totalrecurringannually}style="display:none;" {/if}>
                                <span class="cost">{$totalrecurringannually}</span> {$LANG.orderpaymenttermannually}<br />
                            </span>
                            <span id="recurringBiennially" {if !$totalrecurringbiennially}style="display:none;" {/if}>
                                <span class="cost">{$totalrecurringbiennially}</span> {$LANG.orderpaymenttermbiennially}<br />
                            </span>
                            <span id="recurringTriennially" {if !$totalrecurringtriennially}style="display:none;" {/if}>
                                <span class="cost">{$totalrecurringtriennially}</span> {$LANG.orderpaymenttermtriennially}<br />
                            </span>
                        </span>
                    </div>
                    <div class="total-due-today p-5">
                        <span id="totalDueToday" class="amt">{$total}</span>
                        <span>{$LANG.ordertotalduetoday}</span>
                    </div>
                    {if !$flowcart_hide_promo}
                        <div class="promo-summary p-5">
                            <div class="promo" id="applyPromo">
                                {if $promotioncode}
                                    <div class="flex items-center">
                                        {$promotioncode} - {$promotiondescription}
                                        <div class="ml-auto">
                                            <a id="removePromotionCode" href="{$smarty.server.PHP_SELF}?a=removepromo" class="btn btn-link btn-xs"><i class="fas fa-lg fa-times text-danger"></i></a>
                                        </div>
                                    </div>
                                {else}
                                    <form id="formPromotionCode" method="post" action="cart.php?a=checkout">
                                        <div class="{if $promoerrormessage} has-error has-feedback {/if} ">
                                            {if $promoerrormessage}<label class="control-label" for="inputPromotionCode">{$promoerrormessage}</label>{/if}
                                            <div class="input-group">
                                                <input type="text" name="promocode" id="inputPromotionCode" class="form-control border-solid border promo-code" placeholder="{lang key="orderPromoCodePlaceholder"}" required="required" aria-describedby="inputPromotionCodeStatus">
                                                <span class="input-group-btn">
                                                    <button type="submit" name="validatepromo" class="btn btn-block btn-default" value="{$LANG.orderpromovalidatebutton}"><i class="fal fa-chevron-right"></i></button>
                                                </span>
                                                {if $promoerrormessage}
                                                    <span class="glyphicon glyphicon-remove form-control-feedback" aria-hidden="true"></span>
                                                    <span id="inputPromotionCodeStatus" class="sr-only">(error)</span>
                                                {/if}
                                            </div>
                                        </div>
                                    </form>
                                {/if}
                            </div>
                        </div>
                    {/if}
                    {foreach $gatewaysoutput as $gatewayoutput}
                        <div class="p-5 text-center" title="{$LANG.completeorder}">
                            {$gatewayoutput}
                        </div>
                    {/foreach}
                    {if $filename eq "cart" && $smarty.get.a eq "checkout"}
                        {if $captcha->isEnabled() && $captcha->isEnabledForForm($captchaForm)}
                        {else}
                            {if $accepttos}
                                <div class="tos p-5">
                                    <label>
                                        <input type="checkbox" form="frmCheckout" name="accepttos" id="accepttos" />
                                        {$LANG.ordertosagreement}
                                        <a href="{$tosurl}" class="px-1" target="_blank">{$LANG.ordertos}</a>
                                    </label>
                                </div>
                            {/if}
                            <button type="submit" id="btnCompleteOrder" form="frmCheckout" class="btn btn-primary btn-block btn-lg btn-sidebar disable-on-click spinner-on-click" {if $cartitems==0}disabled="disabled" {/if}>
                                {if $inExpressCheckout}{$LANG.confirmAndPay}{else}{$LANG.completeorder}{/if}
                                <i class="fal fa-arrow-right"></i>
                            </button>
                        {/if}
                    {/if}
                </div>
            </div>
            <div class="express-checkout-buttons">
                {foreach $expressCheckoutButtons as $checkoutButton}
                    {if $filename eq "cart" && $smarty.get.a eq "checkout"}
                        {if $captcha->isEnabled() && $captcha->isEnabledForForm($captchaForm)}
                        {else}
                            <div class="separator">
                                <span class="text-in">{$LANG.or|strtolower}</span>
                            </div>
                        {/if}
                    {/if}
                    {$checkoutButton}
                {/foreach}
            </div>
        </div>
        <form method="post" action="cart.php">
            <input type="hidden" name="a" value="remove" />
            <input type="hidden" name="r" value="" id="inputRemoveItemType" />
            <input type="hidden" name="i" value="" id="inputRemoveItemRef" />
            <div class="modal fade modal-remove-item" id="modalRemoveItem" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="{$LANG.orderForm.close}">
                                <span aria-hidden="true">&times;</span>
                            </button>
                            <h4 class="modal-title">
                                <p><i class="fal fa-times fa-3x"></i></p>
                                <span>{$LANG.orderForm.removeItem}</span>
                            </h4>
                        </div>
                        <div class="modal-body">
                            {$LANG.cartremoveitemconfirm}
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">{$LANG.no}</button>
                            <button type="submit" class="btn btn-primary">{$LANG.yes}</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
        <form method="post" action="cart.php">
            <input type="hidden" name="a" value="empty" />
            <div class="modal fade modal-remove-item" id="modalEmptyCart" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="{$LANG.orderForm.close}">
                                <span aria-hidden="true">&times;</span>
                            </button>
                            <h4 class="modal-title">
                                <p><i class="fal fa-trash-alt fa-3x"></i></p>
                                <span>{$LANG.emptycart}</span>
                            </h4>
                        </div>
                        <div class="modal-body">
                            {$LANG.cartemptyconfirm}
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">{$LANG.no}</button>
                            <button type="submit" class="btn btn-primary">{$LANG.yes}</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
        </div>
        <script type="text/javascript" src="{$BASE_PATH_JS}/jquery.payment.js"></script>