{include file="$template/includes/pageheader.tpl" title=$LANG.userManagement.managePermissions icon=user}
{include file="$template/clientareadetailslinks.tpl"}
<p class="sm:ml-5">{$user->email}</p>
<h3 class="sm:ml-5">{lang key="userManagement.permissions"}</h3>
<form class="sm:ml-5" method="post" action="{routePath('account-users-permissions-save', $user->id)}">
<div class="form-group">
    {foreach $permissions as $permission}
        <label class="checkbox-inline">
            <input type="checkbox" name="perms[{$permission.key}]" value="1" {if $userPermissions->hasPermission($permission.key)} checked{/if}>
            {$permission.title}
            -
            {$permission.description}
        </label>
        <br>
    {/foreach}
    </div>
    <p>
        <button type="submit" class="btn btn-primary">
            {lang key="clientareasavechanges"}
        </button>
        <a href="{routePath('account-users')}" class="btn btn-link">
            {lang key="clientareacancel"}
        </a>
    </p>
</form>