{include file="$template/includes/pageheader.tpl" title=$LANG.announcementstitle}
{if $announcementsFbRecommend}
    <script>
        (function(d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) {
                return;
            }
            js = d.createElement(s);
            js.id = id;
            js.src = "//connect.facebook.net/{$LANG.locale}/all.js#xfbml=1";
            fjs.parentNode.insertBefore(js, fjs);
        }(document, 'script', 'facebook-jssdk'));
    </script>
{/if}

{foreach from=$announcements item=announcement}
    <div class="p-5 my-10 shadow-md bg-gray-950 light:bg-gray-10">
        <div class="font-bold truncate">
            <a href="{routePath('announcement-view', $announcement.id, $announcement.urlfriendlytitle)}" class="title">{$announcement.title}</a>
        </div>
        <div class="mt-1 text-gray-500">
            {$carbon->createFromTimestamp($announcement.timestamp)->format('jS M Y')}
            {if $announcement.editLink}
                <a href="{$announcement.editLink}" class="admin-inline-edit">
                    <i class="fas fa-pencil-alt fa-fw"></i>
                    {$LANG.edit}
                </a>
            {/if}
        </div>
        <div class="mt-1 text-justify text-gray-600">
            {if $announcement.text|strip_tags|strlen < 350} {$announcement.text} 
            {else}{$announcement.summary} <div class="flex pt-3 pb-2">
                    <a href="{routePath('announcement-view', $announcement.id, $announcement.urlfriendlytitle)}" class="btn btn-sm btn-default">{$LANG.readmore}</a>
            </div>
        {/if}
    </div>
    <div class="flex mt-5 font-medium">
        {if $announcementsFbRecommend}
            <div class="fb-like hidden-sm hidden-xs" data-layout="standard" data-href="{fqdnRoutePath('announcement-view', $announcement.id, $announcement.urlfriendlytitle)}" data-send="true" data-width="450" data-show-faces="true" data-action="recommend"></div>
            <div class="fb-like hidden-lg hidden-md" data-layout="button_count" data-href="{fqdnRoutePath('announcement-view', $announcement.id, $announcement.urlfriendlytitle)}" data-send="true" data-width="450" data-show-faces="true" data-action="recommend"></div>
        {/if}
    </div>
    </div>
{foreachelse}
    {include file="$template/includes/alert.tpl" type="info" msg="{$LANG.noannouncements}" textcenter=true}
    
{/foreach}

{if $prevpage || $nextpage}
    <div class="col-md-12">
        <form class="text-right form-inline " role="form">
            <div class="form-group">
                <div class="input-group">
                <span class="btn-group">
                {foreach $pagination as $item}
                    <a href="{$item.link}" class="btn btn-default{if $item.active} active{/if}"{if $item.disabled} disabled="disabled"{/if}>{$item.text}</a>
                {/foreach}
            </span>
                </div>
            </div>
        </form>
    </div>
{/if}