{if $hexa_minimal == 1}
    <div class="text-center py-5 text-sm">
        {$LANG.pwresetenternewpw}
    </div>
    <form class="using-password-strength" method="POST" action="{routePath('password-reset-change-perform')}">
        <input type="hidden" name="answer" id="answer" value="{$securityAnswer}" />
        <div id="newPassword1" class="form-group has-feedback">
            <label for="inputNewPassword1">{$LANG.newpassword}</label>
                <input type="password" name="newpw" id="inputNewPassword1" class="form-control" autocomplete="off" />
                <span class="form-control-feedback glyphicon glyphicon-password"></span>
        </div>
        <div id="newPassword2" class="form-group has-feedback">
            <label for="inputNewPassword2">{$LANG.confirmnewpassword}</label>
                <input type="password" name="confirmpw" id="inputNewPassword2" class="form-control" autocomplete="off" />
                <span class="form-control-feedback glyphicon glyphicon-password"></span>
                <div id="inputNewPassword2Msg"></div>
        </div>
        <div class="form-group">
            <label>{$LANG.pwstrength}</label>
                {include file="$template/includes/pwstrength.tpl"}
        </div>
            <div class="form-group">
                <input class="btn btn-primary" type="submit" name="submit" value="{$LANG.clientareasavechanges}" />
                <input class="btn btn-link" type="reset" value="{$LANG.cancel}" />
        </div>
    </form>
{else}
    <div class="alert alert-default">
        <p>{$LANG.pwresetenternewpw}</p>
    </div>
    <form class="using-password-strength form-horizontal" method="POST" action="{routePath('password-reset-change-perform')}">
        <input type="hidden" name="answer" id="answer" value="{$securityAnswer}" />
        <div id="newPassword1" class="form-group has-feedback">
            <label class="col-sm-2 control-label" for="inputNewPassword1">{$LANG.newpassword}</label>
            <div class="col-sm-6">
                <input type="password" name="newpw" id="inputNewPassword1" class="form-control" autocomplete="off" />
                <span class="form-control-feedback glyphicon glyphicon-password"></span>
            </div>
        </div>
        <div id="newPassword2" class="form-group has-feedback">
            <label class="col-sm-2 control-label" for="inputNewPassword2">{$LANG.confirmnewpassword}</label>
            <div class="col-sm-6">
                <input type="password" name="confirmpw" id="inputNewPassword2" class="form-control" autocomplete="off" />
                <span class="form-control-feedback glyphicon glyphicon-password"></span>
                <div id="inputNewPassword2Msg"></div>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-2 control-label">{$LANG.pwstrength}</label>
            <div class="col-sm-6">
                {include file="$template/includes/pwstrength.tpl"}
            </div>
        </div>
        <div class="col-sm-offset-2 col-sm-6">
            <div class="form-group" style="padding-left:5px;">
                <input class="btn btn-primary" type="submit" name="submit" value="{$LANG.clientareasavechanges}" />
                <input class="btn btn-link" type="reset" value="{$LANG.cancel}" />
            </div>
        </div>
    </form>
{/if}