{include file="$template/includes/pageheader.tpl" title=$LANG.navopenticket desc=$LANG.supportticketsintro icon=support}
<script>
    var currentcheckcontent, lastcheckcontent;
    {if $kbsuggestions}
        {literal}
            function getticketsuggestions() {
                currentcheckcontent = jQuery("#message").val();
                if (currentcheckcontent != lastcheckcontent && currentcheckcontent != "") {
                    jQuery.post("submitticket.php", { action: "getkbarticles", text: currentcheckcontent },
                        function(data) {
                            if (data) {
                                jQuery("#searchresults").html(data);
                                jQuery("#searchresults").slideDown();
                            }
                        });
                    lastcheckcontent = currentcheckcontent;
                }
                setTimeout('getticketsuggestions();', 3000);
            }
            getticketsuggestions();
        {/literal}
    {/if}
</script>
<script>
    {literal}
        $(document)
            .on('change', '.btn-file :file', function() {
                var input = $(this),
                    numFiles = input.get(0).files ? input.get(0).files.length : 1,
                    label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
                input.trigger('fileselect', [numFiles, label]);
            });
        $(document).ready(function() {
            $('.btn-file :file').on('fileselect', function(event, numFiles, label) {
                var input = $(this).parents('.input-group').find(':text'),
                    log = numFiles > 1 ? numFiles + ' files selected' : label;
                if (input.length) {
                    input.val(log);
                } else {
                    if (log) alert(log);
                }
            });
        });
    {/literal}
</script>
{if $errormessage}
    {include file="$template/includes/alert.tpl" type="error" errorshtml=$errormessage}
{/if}
<form method="post" action="{$smarty.server.PHP_SELF}?step=3" class="pt-5 pl-5 form-ticket"
    enctype="multipart/form-data" role="form">
    <div class="row">
        <div class="{if $relatedservices}col-md-4{else}col-md-6{/if}">
            <label for="department">{$LANG.supportticketsdepartment}</label>
            <div class="form-group">
                <div class="input-group">
                    <span class="input-group-addon"><span class="glyphicon glyphicon-map-marker"></span> </span>
                    <select name="deptid" id="inputDepartment" class="form-control"
                        onchange="refreshCustomFields(this)">
                        {foreach from=$departments item=department}
                            <option value="{$department.id}" {if $department.id eq $deptid} selected="selected" {/if}>
                                {$department.name}
                            </option>
                        {/foreach}
                    </select>
                </div>
            </div>
        </div>
        <div class="{if $relatedservices}col-md-4{else}col-md-6{/if}">
            <label for="inputPriority">{$LANG.supportticketspriority}</label>
            <div class="form-group">
                <div class="input-group">
                    <span class="input-group-addon"><span class="glyphicon glyphicon-fire"></span> </span>
                    <select name="urgency" id="inputPriority" class="form-control">
                        <option value="High" {if $urgency eq "High"} selected="selected" {/if}>
                            {$LANG.supportticketsticketurgencyhigh}
                        </option>
                        <option value="Medium" {if $urgency eq "Medium" || !$urgency} selected="selected" {/if}>
                            {$LANG.supportticketsticketurgencymedium}
                        </option>
                        <option value="Low" {if $urgency eq "Low"} selected="selected" {/if}>
                            {$LANG.supportticketsticketurgencylow}
                        </option>
                    </select>
                </div>
            </div>
        </div>
        {if $relatedservices}
            <div class="col-md-4">
                <label for="inputRelatedService">{$LANG.relatedservice}</label>
                <div class="form-group">
                    <select name="relatedservice" id="inputRelatedService" class="form-control">
                        <option value="">{$LANG.none}</option>
                        {foreach from=$relatedservices item=relatedservice}
                            <option value="{$relatedservice.id}">
                                {$relatedservice.name} ({$relatedservice.status})
                            </option>
                        {/foreach}
                    </select>
                </div>
            </div>
        {/if}
    </div>
    <div class="row {if $loggedin}subhidden{/if}">
        <div class="col-md-6">
            <label for="inputName">{$LANG.supportticketsclientname}</label>
            <div class="form-group">
                {if $loggedin}
                    <input type="text" name="name" id="inputName" value="{$name}" disabled="disabled"
                        class="form-control disabled">
                {else}
                    <input type="text" name="name" id="inputName" value="{$name}" class="form-control">
                {/if}
            </div>
        </div>
        <div class="col-md-6">
            <label for="inputEmail">{$LANG.supportticketsclientemail}</label>
            <div class="form-group">
                {if $loggedin}<input type="text" name="email" id="inputEmail" value="{$email}" disabled
                    class="form-control">{else}<input type="text" name="email" id="inputEmail" value="{$email}"
                    class="form-control">{/if}
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <label for="inputSubject">{$LANG.supportticketsticketsubject}</label>
            <div class="form-group">
                <input class="form-control" type="text" name="subject" id="inputSubject" value="{$subject}" />
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <label for="message">{$LANG.contactmessage}</label>
            <div class="form-group">
                <textarea name="message" id="message" rows="10" class="form-control markdown-editor"
                    data-auto-save-name="client_ticket_open">{$message}</textarea>
            </div>
        </div>
    </div>
    <div id="searchresults" class="contentbox well well-sm" style="display:none;"></div>

    <div id="customFieldsContainer">
        {include file="$template/supportticketsubmit-customfields.tpl"}
    </div>

    <div id="fileuploads">
        <div class="form-group">
            <label>{$LANG.supportticketsticketattachments}</label> <a href="javascript:void(0)" data-toggle="tooltip"
                title="{$LANG.supportticketsallowedextensions}: {$allowedfiletypes}"
                data-original-title="{$LANG.supportticketsallowedextensions}: {$allowedfiletypes}">?</a>
            <div class="input-group input-group-sm">
                <span class="input-group-btn">
                    <span class="btn btn-default btn-file">
                        <i class="fal fa-folder-open"></i> <input type="file" name="attachments[]" multiple="">
                    </span>
                </span>
                <input type="text" class="form-control" readonly="">
                <span class="input-group-btn">
                    <a href="#" class="btn btn-default btn-file"
                        onclick="extraTicketAttachment();return false">{$LANG.addmore}</a>
                </span>
            </div>
        </div>
    </div>
    {include file="$template/includes/captcha.tpl"}
    <div class="row">
        <div class="col-md-12">
            <input class="btn btn-primary{$captcha->getButtonClass($captchaForm)}" type="submit" name="save"
                id="openTicketSubmit" value="{$LANG.supportticketsticketsubmit}" />
        </div>
    </div>
</form>
{if $kbsuggestions}
    <script>
        jQuery(document).ready(function() {
            getTicketSuggestions();
        });
    </script>
{/if}