<div class="grid grid-cols-12 gap-6 mt-5 mb-3 sm:ml-5 main-grid">
    <div class="col-span-12">
        <h1 class="h3">{$title}</h1>
        <p>
            <i class="fal fa-calendar"></i> {$timestamp|date_format:"%A, %B %e, %Y"}
            {if $editLink}
                <a href="{$editLink}" class="btn btn-link">
                    <i class="fal fa-pencil fa-fw"></i>
                    {$LANG.edit}
                </a>
            {/if}
        </p>
        <p>{$text}</p>
        <a href="{routePath('announcement-index')}" class="btn btn-outline">{$LANG.clientareabacklink}</a>
    </div>
    <div class="col-span-12">
        <div class="pull-right">
            {if $twittertweet}
                <div style="float:left;margin-right:7px;">
                    <a href="https://twitter.com/share" class="twitter-share-button" data-count="vertical" data-via="{$twitterusername}">Tweet</a>
                    <script type="text/javascript" src="//platform.twitter.com/widgets.js"></script>
                </div>
            {/if}
            {if $facebookrecommend}
                {literal}
                    <div style="float:left;">
                        <div id="fb-root"></div>
                        <script>
                            (function(d, s, id) {
                                var js, fjs = d.getElementsByTagName(s)[0];
                                if (d.getElementById(id)) {return;}
                                js = d.createElement(s);
                                js.id = id;
                                js.src = "//connect.facebook.net/en_US/all.js#xfbml=1";
                                fjs.parentNode.insertBefore(js, fjs);
                            }(document, 'script', 'facebook-jssdk'));
                        </script>
                    {/literal}
                    <div class="fb-like" data-href="{fqdnRoutePath('announcement-view', $id, $urlfriendlytitle)}" data-layout="button_count" data-action="like" data-size="small" data-show-faces="true" data-share="true"></div>
                </div>
            {/if}
        </div>
    </div>
    {if $facebookcomments}
        <div class="col-span-12">
            {literal}
                <div id="fb-root">
                </div>
                <script>
                    (function(d, s, id) {
                        var js, fjs = d.getElementsByTagName(s)[0];
                        if (d.getElementById(id)) {return;}
                        js = d.createElement(s);
                        js.id = id;
                        js.src = "//connect.facebook.net/en_US/all.js#xfbml=1";
                        fjs.parentNode.insertBefore(js, fjs);
                    }(document, 'script', 'facebook-jssdk'));
                </script>
            {/literal}
            <fb:comments href="{fqdnRoutePath('announcement-view', $id, $urlfriendlytitle)}" num_posts="5" data-width="100%"></fb:comments>
        </div>
    {/if}
</div>